﻿namespace Drive.Commands.Creative.ScriptWriting
{
    public class AddDocumentCommand
        : IAddDocumentCommand
    {
        public Guid DocumentId { get; set; }
        public string Content { get; set; } = string.Empty;
        public int WriterId { get; set; }
    }

    public interface IAddDocumentCommand
    {
        Guid DocumentId { get; set; }
        string Content { get; set; }
        int WriterId { get; set; }
    }
}