﻿using Drive.Messages;

namespace Drive.Commands.Creative.ScriptWriting
{
    public class RequestReviewCommand
    {
        public Guid ReviewRequestId { get; set; }
        public Guid AudioBriefId { get; set; }
        public string EmailTo { get; set; } = string.Empty;
        public string? EmailCc { get; set; }
        public string EmailSubject { get; set; } = string.Empty;
        public string EmailBody { get; set; } = string.Empty;
        public string? NoteFromWriter { get; set; }
        public IEnumerable<AudioReviewSelection> Audio { get; set; } = Enumerable.Empty<AudioReviewSelection>();
    }
}
