﻿using NodaTime;

namespace Drive.Commands.ItOps.Admin.Timezones
{
    public class EditTimezoneCommand
    {
        public int Id { get; set; }
        public string Code { get; set; } = string.Empty;
        public string Description { get; set; } = string.Empty;
        public bool Active { get; set; }
        public string TimeDescription { get; set; } = string.Empty;
        public int Priority { get; set; }
        public bool Moveable { get; set; }
        public bool Free { get; set; }
        public LocalTime StartTime { get; set; }
        public LocalTime EndTime { get; set; }
        public int SortOrder { get; set; }
        public bool SalesRestricted { get; set; }
        public bool NoGiveaways { get; set; }
        public bool IncludeWithDuplicate { get; set; }
        public bool Monday { get; set; }
        public bool Tuesday { get; set; }
        public bool Wednesday { get; set; }
        public bool Thursday { get; set; }
        public bool Friday { get; set; }
        public bool Saturday { get; set; }
        public bool Sunday { get; set; }
        public IEnumerable<int> DayBreakTypeIds { get; set; } = Enumerable.Empty<int>();
    }
}