﻿using NodaTime;

namespace Drive.Commands.Sales.Contracts
{
    public class ChangeChargeLineCommand
    {
        public Guid Id { get; set; }
        public int ProductId { get; set; }
        public string StationDescription { get; set; } = string.Empty;
        public IEnumerable<int> StationIds { get; set; } = [];
        public decimal Amount { get; set; }
        public LocalDate ChargeDate { get; set; }
        public string Description { get; set; } = string.Empty;
        public bool IncludeAgencyCommission { get; set; }
        public bool IncludeBookingFee { get; set; }
    }
}