﻿using NodaTime;

namespace Drive.Commands.Sales.Contracts
{
    public class CreateCostLineCommand
    {
        public Guid Id { get; set; }
        public int? LineNumber { get; set; }
        public Guid ContractId { get; set; }
        public int ProductId { get; set; }
        public int? BranchId { get; set; }
        public int? DepartmentId { get; set; }
        public string StationDescription { get; set; } = string.Empty;
        public IEnumerable<int> StationIds { get; set; } = [];
        public decimal Amount { get; set; }
        public LocalDate CostDate { get; set; }
        public string Description { get; set; } = string.Empty;
        public bool AccountManagerNonDeductible { get; set; }
    }
}