﻿using NodaTime;

namespace Drive.Commands.Scheduling.Audio
{
    public class AddAgencyAudioCommand
    {
        public Guid AudioId { get; set; }
        public Guid ClientId { get; set; }
        public string? Description { get; set; }
        public string? AudioStorageReference { get; set; }
        public LocalDate StartDate { get; set; }
        public LocalDate EndDate { get; set; }
        public LocalDate KillDate { get; set; }
        public LocalTime? StartTime { get; set; }
        public LocalTime? EndTime { get; set; }
        public bool CanPlayMonday { get; set; }
        public bool CanPlayTuesday { get; set; }
        public bool CanPlayWednesday { get; set; }
        public bool CanPlayThursday { get; set; }
        public bool CanPlayFriday { get; set; }
        public bool CanPlaySaturday { get; set; }
        public bool CanPlaySunday { get; set; }
        public short Length { get; set; }
        public int MainVoiceId { get; set; }
    }
}
