﻿using NodaTime;

namespace Drive.Commands.Scheduling.Spots
{
    public class GiveawaySpotsCommand
    {
        public class GiveawayByProductTypeOption
        {
            public bool AdvertisingOnDay { get; set; }
            public decimal Percentage { get; set; }
            public int ProductTypeId { get; set; }
        }

        public class GiveawayByProductOption
        {
            public bool AdvertisingOnDay { get; set; }
            public decimal Percentage { get; set; }
            public int ProductId { get; set; }
        }

        public int StationId { get; set; }
        public LocalDate ScheduleDate { get; set; }
        public IEnumerable<GiveawayByProductTypeOption> ProductTypeGiveaways { get; set; } = [];
        public IEnumerable<GiveawayByProductOption> ProductGiveaways { get; set; } = [];
    }
}
