﻿using NodaTime;

namespace Drive.Events.ItOps.Admin.Stations
{
    public class StationCreatedEvent
    {
        public int StationId { get; set; }
        public Instant CreatedAt { get; set; }
        public int CreatedById { get; set; }
        public string Code { get; set; } = string.Empty;
        public string Description { get; set; } = string.Empty;

        public bool Active { get; set; }
        public int StationManagerId { get; set; }
        public int? AvailsWarningLevel { get; set; }
        public int? AvailsCriticalLevel { get; set; }
        public int AutomationFormatId { get; set; }
        public string? ExportPath { get; set; }
        public string? ExportFileNameFormat { get; set; }
        public string? ImportPath { get; set; }
        public string? ImportFileNameFormat { get; set; }
        public int BrandId { get; set; }
        public int BranchId { get; set; }
        public int? DepartmentId { get; set; }
        public bool NonBroadcast { get; set; }
        public string? OverrideBranchCode { get; set; }

        public int? NetworkMondayDayClockId { get; set; }
        public int? NetworkTuesdayDayClockId { get; set; }
        public int? NetworkWednesdayDayClockId { get; set; }
        public int? NetworkThursdayDayClockId { get; set; }
        public int? NetworkFridayDayClockId { get; set; }
        public int? NetworkSaturdayDayClockId { get; set; }
        public int? NetworkSundayDayClockId { get; set; }

        public int? BreakOutMondayDayClockId { get; set; }
        public int? BreakOutTuesdayDayClockId { get; set; }
        public int? BreakOutWednesdayDayClockId { get; set; }
        public int? BreakOutThursdayDayClockId { get; set; }
        public int? BreakOutFridayDayClockId { get; set; }
        public int? BreakOutSaturdayDayClockId { get; set; }
        public int? BreakOutSundayDayClockId { get; set; }
    }
}