﻿using NodaTime;

namespace Drive.Events.Scheduling.Audio
{
    public class ScriptAudioAddedEvent
    {
        public Guid AudioBriefId { get; set; }
        public Guid AudioId { get; set; }
        public int CreatedById { get; set; }
        public Instant CreatedAt { get; set; }
        public Guid ClientId { get; set; }
        public string Code { get; set; } = string.Empty;
        public string Suffix { get; set; } = string.Empty;
        public LocalDate StartDate { get; set; }
        public LocalDate EndDate { get; set; }
        public LocalDate KillDate { get; set; }
    }
}
