﻿using NodaTime;

namespace Drive.Messages
{
    public class BookingLineData
    {
        public Guid Id { get; set; }
        public Guid ContractId { get; set; }
        public short? LineNumber { get; set; }
        public int ProductId { get; set; }
        public LocalDate ForMonth { get; set; }
        public int TimezoneId { get; set; }
        public short LineTypeId { get; set; }
        public short Length { get; set; }
        public short? TailLength { get; set; }
        public LocalTime? StartTime { get; set; }
        public LocalTime? EndTime { get; set; }
        public Guid? PackId { get; set; }
        public IEnumerable<int> StationIds { get; set; } = [];
        public IEnumerable<Booking> Bookings { get; set; } = [];
    }
}
