﻿using NodaTime;

namespace Drive.Messages
{
    public class ScheduleId
    {
        public int StationId { get; set; }
        public LocalDate ScheduleDate { get; set; }

        public override bool Equals(object? obj)
        {
            if (obj is not ScheduleId other)
                return false;

            return other.StationId == StationId
                    && other.ScheduleDate == ScheduleDate;
        }

        public override int GetHashCode()
        {
            return HashCode.Combine(StationId, ScheduleDate);
        }
    }
}
