# Changelog

All notable changes to this project will be documented in this file. See [standard-version](https://github.com/conventional-changelog/standard-version) for commit guidelines.

## [7.45.0-brief-detail.2](https://github.com/drivesoftware/messages/compare/7.45.0...7.45.0-brief-detail.2) (2024-12-17)


### Features

* **brief:** detail added command and event ([edec0b4](https://github.com/drivesoftware/messages/commit/edec0b4b1c85978a4932d543547271cf3e0ab3b2))

## [7.45.0](https://github.com/drivesoftware/messages/compare/7.44.2...7.45.0) (2024-12-09)


### Features

* **all:** nhibernate to efc ([#302](https://github.com/drivesoftware/messages/issues/302)) ([ea84ce4](https://github.com/drivesoftware/messages/commit/ea84ce4213282dfe16119fac8b2bd2a91d953c29))

### [7.44.2](https://github.com/drivesoftware/messages/compare/7.44.1...7.44.2) (2024-11-28)

### [7.44.1](https://github.com/drivesoftware/messages/compare/7.44.0...7.44.1) (2024-11-27)


### Bug Fixes

* **contract:** rename link commitment command to connect commitment ([#300](https://github.com/drivesoftware/messages/issues/300)) ([b63b666](https://github.com/drivesoftware/messages/commit/b63b6663ca6dfbcd252c3c9137fcef394f1b381e))

## [7.44.0](https://github.com/drivesoftware/messages/compare/7.43.0...7.44.0) (2024-11-25)


### Features

* **contract:** disconnect commitment from contract ([#299](https://github.com/drivesoftware/messages/issues/299)) ([491f428](https://github.com/drivesoftware/messages/commit/491f428e7fc548b8d930330df99167c1fca0f104))

## [7.43.0](https://github.com/drivesoftware/messages/compare/7.41.0...7.43.0) (2024-11-21)


### Features

* **booking-line:** removed rateCardDate ([#298](https://github.com/drivesoftware/messages/issues/298)) ([8d08437](https://github.com/drivesoftware/messages/commit/8d0843733eb1cc2f4296803246901a95ab1f22b6))
* **contract:** allow to duplicate commitment contract ([#297](https://github.com/drivesoftware/messages/issues/297)) ([09fe1a4](https://github.com/drivesoftware/messages/commit/09fe1a4500293cd76acbd242dc2fb425c0390ff3))

## [7.42.0](https://github.com/drivesoftware/messages/compare/7.41.0...7.42.0) (2024-11-21)


### Features

* **contract:** allow to duplicate commitment contract ([#297](https://github.com/drivesoftware/messages/issues/297)) ([09fe1a4](https://github.com/drivesoftware/messages/commit/09fe1a4500293cd76acbd242dc2fb425c0390ff3))

## [7.41.0](https://github.com/drivesoftware/messages/compare/7.40.0...7.41.0) (2024-11-14)


### Features

* **contract:** search by agency ([#296](https://github.com/drivesoftware/messages/issues/296)) ([9ab261b](https://github.com/drivesoftware/messages/commit/9ab261b6ae1f36106172960b3ee0147e7ebecefa))

## [7.40.0](https://github.com/drivesoftware/messages/compare/7.39.1...7.40.0) (2024-11-11)


### Bug Fixes

* **settings:** added sales, advertising, and pricing to sync ([#295](https://github.com/drivesoftware/messages/issues/295)) ([873060b](https://github.com/drivesoftware/messages/commit/873060bb876e267fdd5fe344b4887f216f7cb5a9))

### [7.39.1](https://github.com/drivesoftware/messages/compare/7.36.3...7.39.1) (2024-11-05)


### Features

* **admin:** configurable platform types ([#294](https://github.com/drivesoftware/messages/issues/294)) ([6df6875](https://github.com/drivesoftware/messages/commit/6df68756290786fc14cd5efe52fd0c85adcb3577))
* **contract:** remove client invoice notes ([#293](https://github.com/drivesoftware/messages/issues/293)) ([e8c562b](https://github.com/drivesoftware/messages/commit/e8c562bfe4d225aa45243525901d27852ae67533))
* **settings:** broadcast settings ([#291](https://github.com/drivesoftware/messages/issues/291)) ([08708e8](https://github.com/drivesoftware/messages/commit/08708e8a2f4f1683927181a27355f4892ed2ba9d))

## [7.38.0](https://github.com/drivesoftware/messages/compare/7.37.0...7.38.0) (2024-10-29)


### Features

* **contract:** remove client invoice notes ([#293](https://github.com/drivesoftware/messages/issues/293)) ([e8c562b](https://github.com/drivesoftware/messages/commit/e8c562bfe4d225aa45243525901d27852ae67533))

## [7.37.0](https://github.com/drivesoftware/messages/compare/7.36.3...7.37.0) (2024-10-15)


### Features

* **settings:** broadcast settings ([#291](https://github.com/drivesoftware/messages/issues/291)) ([08708e8](https://github.com/drivesoftware/messages/commit/08708e8a2f4f1683927181a27355f4892ed2ba9d))

### [7.36.4](https://github.com/drivesoftware/messages/compare/7.36.3...7.36.4) (2024-10-14)


### Features

* **admin:** edit global settings command ([c723947](https://github.com/drivesoftware/messages/commit/c7239475bb4b389080d2b0255ba5d118647cb945))

### [7.36.3](https://github.com/drivesoftware/messages/compare/7.36.2...7.36.3) (2024-10-14)


### Features

* **settings:** line-type-options ([53d20bf](https://github.com/drivesoftware/messages/commit/53d20bfddd5af4076e254f3798255c67f5989466))

### [7.36.2](https://github.com/drivesoftware/messages/compare/7.36.1...7.36.2) (2024-09-30)

### [7.36.1](https://github.com/drivesoftware/messages/compare/7.36.0...7.36.1) (2024-09-27)


### Bug Fixes

* **contract:** remove unused broadcast prop from calculation revenue ([#286](https://github.com/drivesoftware/messages/issues/286)) ([6ce47cd](https://github.com/drivesoftware/messages/commit/6ce47cd8fcf7cf403bf57457f50cd3d2292bd8b4))

## [7.36.0](https://github.com/drivesoftware/messages/compare/7.35.1...7.36.0) (2024-09-25)


### Features

* **contract:** added optional reason field to hold command ([#285](https://github.com/drivesoftware/messages/issues/285)) ([2fd0a05](https://github.com/drivesoftware/messages/commit/2fd0a054bec9718c382654cd735a9dc01ff6299b))

### [7.35.1](https://github.com/drivesoftware/messages/compare/7.35.0...7.35.1) (2024-09-02)

## [7.35.0](https://github.com/drivesoftware/messages/compare/7.34.0...7.35.0) (2024-08-15)


### Features

* **commitment:** add index commitement search command ([#283](https://github.com/drivesoftware/messages/issues/283)) ([0582cf4](https://github.com/drivesoftware/messages/commit/0582cf455f4d2bff0bcbfa9df7db03e54c416f38))

## [7.34.0](https://github.com/drivesoftware/messages/compare/7.33.2...7.34.0) (2024-08-13)


### Features

* **airmail:** add change rate command ([#282](https://github.com/drivesoftware/messages/issues/282)) ([e5079ce](https://github.com/drivesoftware/messages/commit/e5079cefb793f122af7d7fdaf3d7e60fe7e4500e))

### [7.33.2](https://github.com/drivesoftware/messages/compare/7.33.1...7.33.2) (2024-08-09)


### Bug Fixes

* **commitment:** sync template line changes ([#281](https://github.com/drivesoftware/messages/issues/281)) ([16faf82](https://github.com/drivesoftware/messages/commit/16faf8287e2fb571732dbc966b86df4294f1c43a))

### [7.33.1](https://github.com/drivesoftware/messages/compare/7.33.0...7.33.1) (2024-08-09)


### Bug Fixes

* **booking-line:** remove booking line data rate and discount properties ([#280](https://github.com/drivesoftware/messages/issues/280)) ([36f0891](https://github.com/drivesoftware/messages/commit/36f08912f069b3f568167041eaca44cb2415f1e0))

## [7.33.0](https://github.com/drivesoftware/messages/compare/7.32.0...7.33.0) (2024-08-08)


### Features

* **commitment:** add discount to agreed line ([#279](https://github.com/drivesoftware/messages/issues/279)) ([c6fa060](https://github.com/drivesoftware/messages/commit/c6fa060ab009c27cbf7d27fe31de69039ae7d058))

## [7.32.0](https://github.com/drivesoftware/messages/compare/7.31.1...7.32.0) (2024-08-08)


### Features

* **booking-line:** add discount to change rate ([#278](https://github.com/drivesoftware/messages/issues/278)) ([6109a84](https://github.com/drivesoftware/messages/commit/6109a845098494450744fe028db7a164cc61c0a3))

### [7.31.1](https://github.com/drivesoftware/messages/compare/7.31.0...7.31.1) (2024-08-07)


### Bug Fixes

* **uninstructed:** fix uninstructed calculation race condition ([#275](https://github.com/drivesoftware/messages/issues/275)) ([b0180a2](https://github.com/drivesoftware/messages/commit/b0180a254d849431be52a7384ab6404d3815f8c1))

## [7.31.0](https://github.com/drivesoftware/messages/compare/7.30.0...7.31.0) (2024-08-06)


### Features

* **commitment:** store rate on agreed line ([#277](https://github.com/drivesoftware/messages/issues/277)) ([6f8871a](https://github.com/drivesoftware/messages/commit/6f8871afd3bf93ec0427d812a2f50d7a9f9e47b0))

## [7.30.0](https://github.com/drivesoftware/messages/compare/7.29.0...7.30.0) (2024-08-05)


### Features

* **contract:** removed is generated flag ([#276](https://github.com/drivesoftware/messages/issues/276)) ([0fa1e43](https://github.com/drivesoftware/messages/commit/0fa1e437fb13782172bc587807665569a8f80908))

## [7.29.0](https://github.com/drivesoftware/messages/compare/7.28.0...7.29.0) (2024-08-03)


### Features

* **discount:** change rate instead of discount ([#274](https://github.com/drivesoftware/messages/issues/274)) ([11065c4](https://github.com/drivesoftware/messages/commit/11065c4fd76e354ee5b2477a2f3d5b1ac3c5e379))

## [7.28.0](https://github.com/drivesoftware/messages/compare/7.27.0...7.28.0) (2024-08-03)


### Features

* **commitment:** edit dialogs ([#273](https://github.com/drivesoftware/messages/issues/273)) ([c517be0](https://github.com/drivesoftware/messages/commit/c517be0bfd694c3517fea86e809266c52e551c16))

## [7.27.0](https://github.com/drivesoftware/messages/compare/7.26.1...7.27.0) (2024-07-31)


### Features

* **contract:** ignore commitment when duplicating a contract ([#272](https://github.com/drivesoftware/messages/issues/272)) ([d96bef0](https://github.com/drivesoftware/messages/commit/d96bef00496f42cba99e698df884b1ce049f6594))

### [7.26.1](https://github.com/drivesoftware/messages/compare/7.26.0...7.26.1) (2024-07-29)

## [7.26.0](https://github.com/drivesoftware/messages/compare/7.25.0...7.26.0) (2024-07-29)


### Features

* **commitment:** recalculate discounts on change ([#270](https://github.com/drivesoftware/messages/issues/270)) ([bc728c5](https://github.com/drivesoftware/messages/commit/bc728c512c4d9fe3801563c9ae57f176ea942268))

## [7.25.0](https://github.com/drivesoftware/messages/compare/7.24.0...7.25.0) (2024-07-26)


### Features

* **commitment-type:** add template flag ([#269](https://github.com/drivesoftware/messages/issues/269)) ([dfbd374](https://github.com/drivesoftware/messages/commit/dfbd3746b28416e255b2a414a4e3b8a303eabb36))

## [7.24.0](https://github.com/drivesoftware/messages/compare/7.23.1...7.24.0) (2024-07-24)


### Features

* **commitment:** add agency commission id ([#268](https://github.com/drivesoftware/messages/issues/268)) ([adc2ba2](https://github.com/drivesoftware/messages/commit/adc2ba263f5c56558930fa76229f9df6171c5036))

### [7.23.1](https://github.com/drivesoftware/messages/compare/7.23.0...7.23.1) (2024-07-21)

## [7.23.0](https://github.com/drivesoftware/messages/compare/7.22.0...7.23.0) (2024-07-19)


### Features

* **commitment:** add edit basic line option ([#266](https://github.com/drivesoftware/messages/issues/266)) ([edbdb87](https://github.com/drivesoftware/messages/commit/edbdb87c1cce0b04fd0b7249df8260d5b6fa74f1))

## [7.22.0](https://github.com/drivesoftware/messages/compare/7.21.0...7.22.0) (2024-07-12)


### Features

* **commitment:** replace network buy with combo in builders ([#265](https://github.com/drivesoftware/messages/issues/265)) ([31409d2](https://github.com/drivesoftware/messages/commit/31409d2eaf2b8d4c3028990aca0449fbd476432e))

## [7.21.0](https://github.com/drivesoftware/messages/compare/7.20.0...7.21.0) (2024-07-10)


### Features

* **commitment:** generate contract for agency commitment ([#264](https://github.com/drivesoftware/messages/issues/264)) ([cd140e0](https://github.com/drivesoftware/messages/commit/cd140e04b9631948368407f7e32e6cf75ef53b07))

## [7.20.0](https://github.com/drivesoftware/messages/compare/7.19.1...7.20.0) (2024-07-08)


### Features

* **commitment:** generate lines command ([#263](https://github.com/drivesoftware/messages/issues/263)) ([018926f](https://github.com/drivesoftware/messages/commit/018926f0f9b3a6e4873bcc4fc3b43be114af27c0))

### [7.19.1](https://github.com/drivesoftware/messages/compare/7.19.0...7.19.1) (2024-07-08)

## [7.19.0](https://github.com/drivesoftware/messages/compare/7.18.0...7.19.0) (2024-07-07)


### Features

* **discounts:** remove previous implementation ([#261](https://github.com/drivesoftware/messages/issues/261)) ([0658912](https://github.com/drivesoftware/messages/commit/0658912e9f80264e819ba7923fb3c4dee53e0301))

## [7.18.0](https://github.com/drivesoftware/messages/compare/7.17.0...7.18.0) (2024-07-04)


### Features

* **booking-line:** batched add messages ([#260](https://github.com/drivesoftware/messages/issues/260)) ([752c13a](https://github.com/drivesoftware/messages/commit/752c13ad3389cdde687597a5834a192fe251797e))

## [7.17.0](https://github.com/drivesoftware/messages/compare/7.16.0...7.17.0) (2024-07-04)


### Features

* **commitment:** remove agreed line quantity property ([#259](https://github.com/drivesoftware/messages/issues/259)) ([fcd0e6e](https://github.com/drivesoftware/messages/commit/fcd0e6e86bdc53da77648ff44f787f1669ff3f0f))

## [7.16.0](https://github.com/drivesoftware/messages/compare/7.15.1...7.16.0) (2024-07-03)


### Features

* **commitment:** add edit template command ([#258](https://github.com/drivesoftware/messages/issues/258)) ([6aedaac](https://github.com/drivesoftware/messages/commit/6aedaac491734415e50f06fedbfca41b55e47c89))

### [7.15.1](https://github.com/drivesoftware/messages/compare/7.15.0...7.15.1) (2024-07-02)


### Bug Fixes

* **airmail:** typo in create booking line command ([#257](https://github.com/drivesoftware/messages/issues/257)) ([29305cf](https://github.com/drivesoftware/messages/commit/29305cfe89851c9f1a38d7633895e4709e461df6))

## [7.15.0](https://github.com/drivesoftware/messages/compare/7.14.0...7.15.0) (2024-06-24)


### Features

* **booking-lines:** add assign discounts messages ([#256](https://github.com/drivesoftware/messages/issues/256)) ([bf466a8](https://github.com/drivesoftware/messages/commit/bf466a8640f99001fe95de0a1b40f8b0ebd8ce1c))

## [7.14.0](https://github.com/drivesoftware/messages/compare/7.13.0...7.14.0) (2024-06-24)


### Features

* **commitment:** split commitment line builder ([#255](https://github.com/drivesoftware/messages/issues/255)) ([ff999e8](https://github.com/drivesoftware/messages/commit/ff999e8a2b4e05c187ef35a611bab740d9e4781f))

## [7.13.0](https://github.com/drivesoftware/messages/compare/7.12.0...7.13.0) (2024-06-20)


### Features

* **bookingline:** merge rate ([#254](https://github.com/drivesoftware/messages/issues/254)) ([d0381f8](https://github.com/drivesoftware/messages/commit/d0381f84944e08f6b8e0f95725a36e002fd2da73))

## [7.12.0](https://github.com/drivesoftware/messages/compare/7.11.0...7.12.0) (2024-06-13)


### Features

* **radio:** refactor bookingline ([#253](https://github.com/drivesoftware/messages/issues/253)) ([bd120fe](https://github.com/drivesoftware/messages/commit/bd120fea6ff788f45784e815bdb330c383a89829))

## [7.11.0](https://github.com/drivesoftware/messages/compare/7.10.0...7.11.0) (2024-06-05)


### Features

* **contract:** remove allocation amount from charges and costs ([#252](https://github.com/drivesoftware/messages/issues/252)) ([a9bf844](https://github.com/drivesoftware/messages/commit/a9bf8440db24d65f42b74ffbe788e563385a1d18))

## [7.10.0](https://github.com/drivesoftware/messages/compare/7.9.0...7.10.0) (2024-06-04)


### Features

* **itops:** add pricing global settings ([#251](https://github.com/drivesoftware/messages/issues/251)) ([6622a0c](https://github.com/drivesoftware/messages/commit/6622a0c887393aeac28b3d4af1dc2002c9e8ce67))

## [7.9.0](https://github.com/drivesoftware/messages/compare/7.8.0...7.9.0) (2024-05-30)


### Features

* **finance:** remove messages for unused modules ([#250](https://github.com/drivesoftware/messages/issues/250)) ([c56fa26](https://github.com/drivesoftware/messages/commit/c56fa2632909123141571ebe24e3f73c6b377af9))

## [7.8.0](https://github.com/drivesoftware/messages/compare/7.7.1...7.8.0) (2024-05-23)


### Features

* **discounts:** timezone free ([#249](https://github.com/drivesoftware/messages/issues/249)) ([c4742cb](https://github.com/drivesoftware/messages/commit/c4742cb1046dfd6a3657250d188ac618e3b4df87))

### [7.7.1](https://github.com/drivesoftware/messages/compare/7.7.0...7.7.1) (2024-05-23)

## [7.7.0](https://github.com/drivesoftware/messages/compare/7.6.2...7.7.0) (2024-05-21)


### Features

* **commitment:** add rate card date to agreed and vid lines ([#247](https://github.com/drivesoftware/messages/issues/247)) ([b6b9413](https://github.com/drivesoftware/messages/commit/b6b9413e04c3586db2551a981c386393f64acb65))

### [7.6.2](https://github.com/drivesoftware/messages/compare/7.6.1...7.6.2) (2024-05-16)


### Bug Fixes

* **makegood:** add product id to makegood line added event ([#246](https://github.com/drivesoftware/messages/issues/246)) ([2c45fb0](https://github.com/drivesoftware/messages/commit/2c45fb0e5718244619924f8067d25111bfb164df))

### [7.6.1](https://github.com/drivesoftware/messages/compare/7.6.0...7.6.1) (2024-05-16)


### Bug Fixes

* **giveaway:** add product id to giveaway line added event ([#244](https://github.com/drivesoftware/messages/issues/244)) ([db74d61](https://github.com/drivesoftware/messages/commit/db74d6113187c2615e3edaf061e0a1b8563789a8))

## [7.6.0](https://github.com/drivesoftware/messages/compare/7.5.0...7.6.0) (2024-05-15)


### Features

* **commitment:** split line into agreed and vid types ([#243](https://github.com/drivesoftware/messages/issues/243)) ([42f2def](https://github.com/drivesoftware/messages/commit/42f2def0cedb97e9a587f5ab36439756bed810a6))

## [7.5.0](https://github.com/drivesoftware/messages/compare/7.4.1...7.5.0) (2024-05-09)


### Features

* **booking-line:** add discount ([#242](https://github.com/drivesoftware/messages/issues/242)) ([3484c5f](https://github.com/drivesoftware/messages/commit/3484c5f0ab59ad9a7e108018d7ff8ed15948b44b))

### [7.4.1](https://github.com/drivesoftware/messages/compare/7.4.0...7.4.1) (2024-05-08)


### Bug Fixes

* **booking:** use short data type for quantity ([#241](https://github.com/drivesoftware/messages/issues/241)) ([72a1ba4](https://github.com/drivesoftware/messages/commit/72a1ba4b89bc0480f9e97cdc2330bc4dedef28a8))

## [7.4.0](https://github.com/drivesoftware/messages/compare/7.3.0...7.4.0) (2024-05-06)


### Features

* **contract:** add investment amount command ([#240](https://github.com/drivesoftware/messages/issues/240)) ([aa0ec97](https://github.com/drivesoftware/messages/commit/aa0ec97c5b5df7a43b70688248c57d4f989cb9c6))

## [7.3.0](https://github.com/drivesoftware/messages/compare/7.2.0...7.3.0) (2024-04-30)


### Features

* **commitment:** add generate contract command ([#239](https://github.com/drivesoftware/messages/issues/239)) ([c7a48dc](https://github.com/drivesoftware/messages/commit/c7a48dc9842a053a1c6e4f8b91108d9af59e6e76))

## [7.2.0](https://github.com/drivesoftware/messages/compare/7.1.0...7.2.0) (2024-04-17)


### Features

* **content:** rename product ([#238](https://github.com/drivesoftware/messages/issues/238)) ([197921d](https://github.com/drivesoftware/messages/commit/197921d3d612fc9ff69632b948b23b344ae5966d))

## [7.1.0](https://github.com/drivesoftware/messages/compare/7.0.0...7.1.0) (2024-04-11)


### Features

* **product-type:** rename campaign type ([#237](https://github.com/drivesoftware/messages/issues/237)) ([277b79c](https://github.com/drivesoftware/messages/commit/277b79c8cbe33459bfbe3a3b70f278032479ac73))

## [7.0.0](https://github.com/drivesoftware/messages/compare/6.14.0...7.0.0) (2024-04-10)


### ⚠ BREAKING CHANGES

* **contract:** campaign removed

### Features

* **contract:** remove campaign and discount fields ([#236](https://github.com/drivesoftware/messages/issues/236)) ([9d21d69](https://github.com/drivesoftware/messages/commit/9d21d69b0baebbca9cd1035ef9bb6e3963305a26))

## [6.14.0](https://github.com/drivesoftware/messages/compare/6.13.0...6.14.0) (2024-04-09)


### Features

* **commissions:** add agency commissions ([#235](https://github.com/drivesoftware/messages/issues/235)) ([941fcc5](https://github.com/drivesoftware/messages/commit/941fcc517319e3e82ae6cdf0bf5ff604a6d381e6))

## [6.13.0](https://github.com/drivesoftware/messages/compare/6.12.0...6.13.0) (2024-04-02)


### Features

* **commitment:** add line editor ([#234](https://github.com/drivesoftware/messages/issues/234)) ([96e6f48](https://github.com/drivesoftware/messages/commit/96e6f481f14c975eb557b9116c10f500f1da337f))

## [6.12.0](https://github.com/drivesoftware/messages/compare/6.11.0...6.12.0) (2024-03-25)


### Features

* **audio:** add discontinue option ([#233](https://github.com/drivesoftware/messages/issues/233)) ([0d6fea1](https://github.com/drivesoftware/messages/commit/0d6fea1390ccf66c328c66389f7497c17a4b3464))

## [6.11.0](https://github.com/drivesoftware/messages/compare/6.10.1...6.11.0) (2024-03-15)


### Features

* **spot-laydown:** add product ([#232](https://github.com/drivesoftware/messages/issues/232)) ([dcf787a](https://github.com/drivesoftware/messages/commit/dcf787a))



### [6.10.1](https://github.com/drivesoftware/messages/compare/6.10.0...6.10.1) (2024-03-13)

## [6.10.0](https://github.com/drivesoftware/messages/compare/6.9.0...6.10.0) (2024-03-10)


### Features

* **commitment:** add commitment lines ([#230](https://github.com/drivesoftware/messages/issues/230)) ([1d7e996](https://github.com/drivesoftware/messages/commit/1d7e9964054a6866f47a206048b401f814935901))

## [6.9.0](https://github.com/drivesoftware/messages/compare/6.8.0...6.9.0) (2024-02-25)


### Features

* **audio:** add restore messages ([#229](https://github.com/drivesoftware/messages/issues/229)) ([351f4a7](https://github.com/drivesoftware/messages/commit/351f4a713c94e7fc004fe7e05d98a9f5a9c7e82c))

## [6.8.0](https://github.com/drivesoftware/messages/compare/6.7.3...6.8.0) (2024-02-19)


### Features

* **commitment:** introduce commitment state ([#228](https://github.com/drivesoftware/messages/issues/228)) ([6affdfb](https://github.com/drivesoftware/messages/commit/6affdfb6ecf57c143314dc677682ecde92e301fb))

### [6.7.3](https://github.com/drivesoftware/messages/compare/6.7.2...6.7.3) (2024-02-15)

### [6.7.2](https://github.com/drivesoftware/messages/compare/6.7.1...6.7.2) (2024-02-12)

### [6.7.1](https://github.com/drivesoftware/messages/compare/6.7.0...6.7.1) (2023-12-21)


### Bug Fixes

* **sales:** remove obsolete contract events ([#225](https://github.com/drivesoftware/messages/issues/225)) ([3e1e270](https://github.com/drivesoftware/messages/commit/3e1e270472f94e64e84efaaee7366b901122fa58))

## [6.7.0](https://github.com/drivesoftware/messages/compare/6.6.2...6.7.0) (2023-12-18)


### Features

* **all:** net8.0 upgrade ([#224](https://github.com/drivesoftware/messages/issues/224)) ([afb609e](https://github.com/drivesoftware/messages/commit/afb609e1614e0fa5d3ea4ef6296efdbf06e204be))

### [6.6.2](https://github.com/drivesoftware/messages/compare/6.6.1...6.6.2) (2023-12-07)


### Bug Fixes

* **rates:** add check rate command ([#223](https://github.com/drivesoftware/messages/issues/223)) ([53aec9d](https://github.com/drivesoftware/messages/commit/53aec9d80aa2f395a804adb119d020dfad686702))

### [6.6.1](https://github.com/drivesoftware/messages/compare/6.6.0...6.6.1) (2023-12-07)



## [6.6.0](https://github.com/drivesoftware/messages/compare/6.5.0...6.6.0) (2023-12-07)


### Bug Fixes

* **rates:** add explicit split event ([#220](https://github.com/drivesoftware/messages/issues/220)) ([b337a32](https://github.com/drivesoftware/messages/commit/b337a32))


### Features

* **spots:** add sync contract spots command ([#221](https://github.com/drivesoftware/messages/issues/221)) ([7bdcaa6](https://github.com/drivesoftware/messages/commit/7bdcaa6))



## [6.5.0](https://github.com/drivesoftware/messages/compare/6.4.1...6.5.0) (2023-11-29)


### Features

* **all:** move endpoints ([#219](https://github.com/drivesoftware/messages/issues/219)) ([f526977](https://github.com/drivesoftware/messages/commit/f5269773dfd6f2f68327ffa58e790cbe71c93031))

### [6.4.1](https://github.com/drivesoftware/messages/compare/6.4.0...6.4.1) (2023-11-27)


### Bug Fixes

* **contract:** remove props from edit event that are published explicitly ([#218](https://github.com/drivesoftware/messages/issues/218)) ([382196d](https://github.com/drivesoftware/messages/commit/382196d946373d43cea217fe11298c278df9dff5))

## [6.4.0](https://github.com/drivesoftware/messages/compare/6.3.0...6.4.0) (2023-11-12)


### Features

* **all:** squash creative endpoints ([#217](https://github.com/drivesoftware/messages/issues/217)) ([98fe891](https://github.com/drivesoftware/messages/commit/98fe891934c8b3297a1ccdf07ffd2aa19e6973e2))

## [6.3.0](https://github.com/drivesoftware/messages/compare/6.2.1...6.3.0) (2023-11-07)


### Features

* **rate-card:** add campaign to network discount ([#216](https://github.com/drivesoftware/messages/issues/216)) ([a34333f](https://github.com/drivesoftware/messages/commit/a34333f229b639fa6c99707f8a21098cc96da0c7))

### [6.2.1](https://github.com/drivesoftware/messages/compare/6.2.0...6.2.1) (2023-11-06)

## [6.2.0](https://github.com/drivesoftware/messages/compare/6.1.0...6.2.0) (2023-10-10)


### Features

* **producer-board:** improve board workflow ([#214](https://github.com/drivesoftware/messages/issues/214)) ([d151da2](https://github.com/drivesoftware/messages/commit/d151da21b7de734b18e2d2ee55d6e35e820c848f))

## [6.1.0](https://github.com/drivesoftware/messages/compare/6.0.4...6.1.0) (2023-10-05)


### Features

* **make-good:** add date selection ([#213](https://github.com/drivesoftware/messages/issues/213)) ([10f0007](https://github.com/drivesoftware/messages/commit/10f00075e1eb8e8dca8b430102e2d6ed50780813))

### [6.0.4](https://github.com/drivesoftware/messages/compare/6.0.3...6.0.4) (2023-10-02)



### [6.0.3](https://github.com/drivesoftware/messages/compare/6.0.2...6.0.3) (2023-09-20)

### [6.0.2](https://github.com/drivesoftware/messages/compare/6.0.1...6.0.2) (2023-09-13)


### Bug Fixes

* **all:** resolve nullable warnings ([#210](https://github.com/drivesoftware/messages/issues/210)) ([dc2a76b](https://github.com/drivesoftware/messages/commit/dc2a76b566214d625e93d86f5a4950a8a9813535))

### [6.0.1](https://github.com/drivesoftware/messages/compare/6.0.0...6.0.1) (2023-09-06)



## [6.0.0](https://github.com/drivesoftware/messages/compare/5.3.1...6.0.0) (2023-09-05)


### ⚠ BREAKING CHANGES

* **all:** upgrade from .net framework to .net

### Features

* **all:** upgrade dotnet ([#208](https://github.com/drivesoftware/messages/issues/208)) ([f6c63d0](https://github.com/drivesoftware/messages/commit/f6c63d0fb9fbacfdefd722f805048baf51d15bf1))

### [5.3.1](https://github.com/drivesoftware/messages/compare/5.3.0...5.3.1) (2023-08-10)



## [5.3.0](https://github.com/drivesoftware/messages/compare/5.2.0...5.3.0) (2023-07-24)


### Features

* **contract:** refactor to aggregate ([#206](https://github.com/drivesoftware/messages/issues/206)) ([780d33a](https://github.com/drivesoftware/messages/commit/780d33ab6b141bc86dbb5bcd813257007b416629))

## [5.2.0](https://github.com/drivesoftware/messages/compare/5.1.1...5.2.0) (2023-06-01)


### Features

* **review:** add review finished event ([#205](https://github.com/drivesoftware/messages/issues/205)) ([1603247](https://github.com/drivesoftware/messages/commit/1603247268689a37faffd77002d00b4553abd231))

### [5.1.1](https://github.com/drivesoftware/messages/compare/5.1.0...5.1.1) (2023-05-25)


### Bug Fixes

* **audio:** add timestamp to apr changed event ([#204](https://github.com/drivesoftware/messages/issues/204)) ([f046f3d](https://github.com/drivesoftware/messages/commit/f046f3dfaa9788943e8372489d760e628738fe08))

## [5.1.0](https://github.com/drivesoftware/messages/compare/5.0.3...5.1.0) (2023-05-04)


### Features

* **admin:** add source media property to apr ([#203](https://github.com/drivesoftware/messages/issues/203)) ([ad44852](https://github.com/drivesoftware/messages/commit/ad44852654d99784d8f28d42d7dd4011b4404313))

### [5.0.3](https://github.com/drivesoftware/messages/compare/5.0.2...5.0.3) (2023-04-27)

### [5.0.2](https://github.com/drivesoftware/messages/compare/5.0.1...5.0.2) (2023-04-17)

### [5.0.1](https://github.com/drivesoftware/messages/compare/5.0.0...5.0.1) (2023-04-16)


### Bug Fixes

* **contract:** add type id to webhook commands ([#198](https://github.com/drivesoftware/messages/issues/198)) ([5dba446](https://github.com/drivesoftware/messages/commit/5dba446a965378a5fa1c476dc9c89c77b916ce50))
* **contract:** use separate messages for each webhook subscription ([#199](https://github.com/drivesoftware/messages/issues/199)) ([ba056ba](https://github.com/drivesoftware/messages/commit/ba056ba839f0d8313780cc8bb676df21bad87208))

## [5.0.0](https://github.com/drivesoftware/messages/compare/4.1.0...5.0.0) (2023-04-11)


### refactor

* **booking-line:** multiple stations support ([#197](https://github.com/drivesoftware/messages/issues/197)) ([c1d3a56](https://github.com/drivesoftware/messages/commit/c1d3a56))


### BREAKING CHANGES

* **booking-line:** Bookings structure



## [4.1.0](https://github.com/drivesoftware/messages/compare/4.0.2...4.1.0) (2023-04-11)


### Features

* **settings:** add remove whitespace option to settings command ([#195](https://github.com/drivesoftware/messages/issues/195)) ([6f0f928](https://github.com/drivesoftware/messages/commit/6f0f9286a0e2f606067ded977307420c845d57cd))

### [4.0.2](https://github.com/drivesoftware/messages/compare/4.0.1...4.0.2) (2023-04-11)


### Bug Fixes

* **contract:** add url to webhook unsubscribe command ([9452654](https://github.com/drivesoftware/messages/commit/9452654ecdbe1418f6f4eb6fbf40e442bfd82bb3))

### [4.0.1](https://github.com/drivesoftware/messages/compare/4.0.0...4.0.1) (2023-04-04)

## [4.0.0](https://github.com/drivesoftware/messages/compare/3.96.0...4.0.0) (2023-04-03)


### ⚠ BREAKING CHANGES

* **scheduling:** creative enhancements and media management

### Features

* **admin:** add brief allocation messages ([a1baf35](https://github.com/drivesoftware/messages/commit/a1baf359d6287fa1f62b4deace4fb0b38be26e9c))
* **allocations:** add fallback ids and change allocations to use userId ([#190](https://github.com/drivesoftware/messages/issues/190)) ([721e263](https://github.com/drivesoftware/messages/commit/721e263c657ea81d67dbbbf423e39356fe6cea91))
* **apr-range:** add automation type to apr messages ([1d707ac](https://github.com/drivesoftware/messages/commit/1d707ac954af7e7fdab355d5679d257a909f9e78))
* **audio-brief:** add scope and type properties ([ff2f43a](https://github.com/drivesoftware/messages/commit/ff2f43a56a39ef16b10dc8112354a12ee347059f))
* **audio-sync:** messages for sync and audition ([4e8a3a0](https://github.com/drivesoftware/messages/commit/4e8a3a03eb4b06f13a9e8b23a3fcaf991f190130))
* **automation:** add command to store nexgen media into drive ([e923851](https://github.com/drivesoftware/messages/commit/e923851d5f5caa445349299fc2907e3f3ee448ab))
* **brief:** add instruct option to compose ([7c5d9b9](https://github.com/drivesoftware/messages/commit/7c5d9b9d36a6e44bb364eb7d161c7c19d9a786cd))
* **brief:** add internal note ([b37fbc9](https://github.com/drivesoftware/messages/commit/b37fbc905500b13aaeb7e5f9c31086f5e1eca671))
* **brief:** add record brief viewed command ([a9ff4b8](https://github.com/drivesoftware/messages/commit/a9ff4b816d02d5245ce5d6507731e4d12b369ca1))
* **brief:** add supplied brief ([37fb0ce](https://github.com/drivesoftware/messages/commit/37fb0ce0c317520df96b592a029e02f99f43ed35))
* **compose-brief:** add file commands and events ([1b52450](https://github.com/drivesoftware/messages/commit/1b524506449c48c2381ee65eee2fb41916db2486))
* **creative:** add review expiry ([921d147](https://github.com/drivesoftware/messages/commit/921d147458d7fb61552a6262b247c62a5d6109d2))
* **creative:** review portal enhancements ([47074a3](https://github.com/drivesoftware/messages/commit/47074a3246886edc79253f8cb3dd4599904ec280))
* **live-update:** shared support for live update ([c04d8c1](https://github.com/drivesoftware/messages/commit/c04d8c160fb66eb395c02e688dcdb6e49f1af75e))
* **media:** add media edit event ([#194](https://github.com/drivesoftware/messages/issues/194)) ([4c20344](https://github.com/drivesoftware/messages/commit/4c20344826398e5a65d64ffd520e67b39ab5b1b1))
* **rename-script:** add audioBriefId to rename event for signalR update ([7dd9571](https://github.com/drivesoftware/messages/commit/7dd95716a853df2e0efc017731176931124af0bf))
* **review:** messages for approval refactor ([#180](https://github.com/drivesoftware/messages/issues/180)) ([f6f06d4](https://github.com/drivesoftware/messages/commit/f6f06d4d41c55bbc8e5ebbf34b74e91fbc4ce7b3))
* **scheduling:** audio media messages and integration event ([c616839](https://github.com/drivesoftware/messages/commit/c616839ef97201d0009d94c8f6a7239f0fe45be0))
* **script:** messages for script renaming ([4ac7707](https://github.com/drivesoftware/messages/commit/4ac770763b2e47d1bc4a324142528837b4a8c098))


### Bug Fixes

* **audio-sync:** move change notes command to correct namespace ([2cd6a48](https://github.com/drivesoftware/messages/commit/2cd6a48fb20a320e2046e4861c383f6a37d54b89))
* **brief-type:** use short for id ([#192](https://github.com/drivesoftware/messages/issues/192)) ([3db1892](https://github.com/drivesoftware/messages/commit/3db1892c0172dc39c0ce8e6cdb5e7f67d3ab2a0a))
* **brief:** add timestamp to cancelled event ([b5f1600](https://github.com/drivesoftware/messages/commit/b5f1600a05e9412c81218593846ea87a3e4f2e9e))
* **brief:** remove bytes property from attachment ([2666cb4](https://github.com/drivesoftware/messages/commit/2666cb417c6146a674550e337e0c30a1aa7bdb2e))
* **brief:** start brief messages ([882aaa9](https://github.com/drivesoftware/messages/commit/882aaa94e7ae2e7a5f24cff954119e8bb3d1a3df))
* **brief:** various naming changes to remove audio from audio brief ([2c53f1f](https://github.com/drivesoftware/messages/commit/2c53f1ff1cada766cbe9c9e8c48d356980e5b878))
* **compose:** add file id to attach command ([529fc45](https://github.com/drivesoftware/messages/commit/529fc45e78b772add4b47f61dd51aa7a505facdf))
* **creative:** consolidate audio and document id ([1394b60](https://github.com/drivesoftware/messages/commit/1394b6024dd300511d764b4712b06738a9273b17))
* **creative:** make default brief scope optional ([fcf5c14](https://github.com/drivesoftware/messages/commit/fcf5c140f1e7419ba95604ffe44bf5855b6c54cd))
* **creative:** removed unused properties ([be31294](https://github.com/drivesoftware/messages/commit/be312945f3f3bc71648215472faf0def5e7a89fa))
* **supplied:** add storage to request supplied command ([e91316e](https://github.com/drivesoftware/messages/commit/e91316eb7e6f523db7bb809af25714ce0f37f23f))

## [3.96.0](https://github.com/drivesoftware/messages/compare/3.95.1...3.96.0) (2023-03-01)


### Features

* **contract:** add webhook commands ([#193](https://github.com/drivesoftware/messages/issues/193)) ([b53cb98](https://github.com/drivesoftware/messages/commit/b53cb98a4fb5a6e8d69b30cf3809703dd775cc71))

### [3.95.1](https://github.com/drivesoftware/messages/compare/3.95.0...3.95.1) (2023-02-26)


### Bug Fixes

* **enum:** ensure correct data type ([#191](https://github.com/drivesoftware/messages/issues/191)) ([4501b90](https://github.com/drivesoftware/messages/commit/4501b90702b3dd38c0101c6d1d931f35a743a865))

## [3.95.0](https://github.com/drivesoftware/messages/compare/3.94.3...3.95.0) (2022-12-08)


### Features

* **board:** add producer session ([#188](https://github.com/drivesoftware/messages/issues/188)) ([f2b1a01](https://github.com/drivesoftware/messages/commit/f2b1a014a5e5fd3ae8ea004e90dbcfb8799a48c8))

### [3.94.3](https://github.com/drivesoftware/messages/compare/3.94.2...3.94.3) (2022-11-21)

### [3.94.2](https://github.com/drivesoftware/messages/compare/3.94.1...3.94.2) (2022-11-01)


### Bug Fixes

* **clock:** add placement tolerance to clock copied event ([#186](https://github.com/drivesoftware/messages/issues/186)) ([1955d6e](https://github.com/drivesoftware/messages/commit/1955d6ec73adce2129fb8af56c24d55a6097e54a))

### [3.94.1](https://github.com/drivesoftware/messages/compare/3.94.0...3.94.1) (2022-10-31)


### Bug Fixes

* **audio:** remove unused property from apr changed event ([#185](https://github.com/drivesoftware/messages/issues/185)) ([ebb5b95](https://github.com/drivesoftware/messages/commit/ebb5b9551bf6b113d17723c36c127e104642bd66))

## [3.94.0](https://github.com/drivesoftware/messages/compare/3.93.0...3.94.0) (2022-10-31)


### Features

* **settings:** add replace white space to ASR template ([#184](https://github.com/drivesoftware/messages/issues/184)) ([bcc86ad](https://github.com/drivesoftware/messages/commit/bcc86ad))



## [3.93.0](https://github.com/drivesoftware/messages/compare/3.92.0...3.93.0) (2022-10-25)


### Features

* **admin:** add default apr range to settings ([#183](https://github.com/drivesoftware/messages/issues/183)) ([8bffeae](https://github.com/drivesoftware/messages/commit/8bffeae))



## [3.92.0](https://github.com/drivesoftware/messages/compare/3.91.0...3.92.0) (2022-10-25)


### Features

* **clocks:** add placement tolerance ([#182](https://github.com/drivesoftware/messages/issues/182)) ([50ab345](https://github.com/drivesoftware/messages/commit/50ab345))



## [3.91.0](https://github.com/drivesoftware/messages/compare/3.90.0...3.91.0) (2022-09-29)


### Features

* **settings:** add ASR template to settings ([#181](https://github.com/drivesoftware/messages/issues/181)) ([f6bf75d](https://github.com/drivesoftware/messages/commit/f6bf75d))



## [3.90.0](https://github.com/drivesoftware/messages/compare/3.89.1...3.90.0) (2022-09-02)


### Features

* **audio-playback-reference-range:** add messages ([#179](https://github.com/drivesoftware/messages/issues/179)) ([c2ae286](https://github.com/drivesoftware/messages/commit/c2ae2869e6f0dac50aa11a9eb591d7e17c9a414f))

### [3.89.1](https://github.com/drivesoftware/messages/compare/3.89.0...3.89.1) (2022-08-31)

## [3.89.0](https://github.com/drivesoftware/messages/compare/3.88.0...3.89.0) (2022-08-10)


### Features

* **rate-card:** network loadings ([#177](https://github.com/drivesoftware/messages/issues/177)) ([f2e40c9](https://github.com/drivesoftware/messages/commit/f2e40c9f78d7752bd682792d85082ed0b64bbd63))

## [3.88.0](https://github.com/drivesoftware/messages/compare/3.87.0...3.88.0) (2022-08-09)


### Features

* **staff:** add forbidden voice property ([#176](https://github.com/drivesoftware/messages/issues/176)) ([8fae71a](https://github.com/drivesoftware/messages/commit/8fae71a8f020793c881c3db6835409a70e714146))

## [3.87.0](https://github.com/drivesoftware/messages/compare/3.86.0...3.87.0) (2022-08-05)


### Features

* **audio:** add script and audio commands ([#175](https://github.com/drivesoftware/messages/issues/175)) ([2caff4c](https://github.com/drivesoftware/messages/commit/2caff4c47705dd15dfb4a9f54dcb2ae3126a7ecb))

## [3.86.0](https://github.com/drivesoftware/messages/compare/3.85.0...3.86.0) (2022-06-26)


### Features

* **make-good-reasons:** add messages ([#174](https://github.com/drivesoftware/messages/issues/174)) ([1570345](https://github.com/drivesoftware/messages/commit/15703457a95f3ceb8c730b8c3b56a677f76c7e87))

## [3.85.0](https://github.com/drivesoftware/messages/compare/3.84.0...3.85.0) (2022-06-21)


### Features

* **brief-scopes:** add messages ([#173](https://github.com/drivesoftware/messages/issues/173)) ([fc7c4df](https://github.com/drivesoftware/messages/commit/fc7c4df19c832bc277335fba9c379c55901009f4))

## [3.84.0](https://github.com/drivesoftware/messages/compare/3.83.1...3.84.0) (2022-06-15)


### Features

* **audio:** add voice lookup ([#172](https://github.com/drivesoftware/messages/issues/172)) ([15dcebc](https://github.com/drivesoftware/messages/commit/15dcebc))



### [3.83.1](https://github.com/drivesoftware/messages/compare/3.83.0...3.83.1) (2022-05-27)



## [3.83.0](https://github.com/drivesoftware/messages/compare/3.82.0...3.83.0) (2022-05-26)


### Features

* **schedule:** schedule selected spots ([#170](https://github.com/drivesoftware/messages/issues/170)) ([8d07577](https://github.com/drivesoftware/messages/commit/8d07577))



## [3.82.0](https://github.com/drivesoftware/messages/compare/3.81.1...3.82.0) (2022-05-13)


### Features

* **sales:** add campaignid to duplicate contract command ([#169](https://github.com/drivesoftware/messages/issues/169)) ([45adc00](https://github.com/drivesoftware/messages/commit/45adc0009c4d603f331aa583948f5638e7bed699))

### [3.81.1](https://github.com/drivesoftware/messages/compare/3.81.0...3.81.1) (2022-05-09)


### Bug Fixes

* **sales-channel:** remove unused sort order property ([ef49811](https://github.com/drivesoftware/messages/commit/ef4981169686ede95c5d8e0b8ad137b77b18f1a8))

## [3.81.0](https://github.com/drivesoftware/messages/compare/3.80.0...3.81.0) (2022-05-04)


### Features

* **airmail:** support provided charge and cost allocations ([#168](https://github.com/drivesoftware/messages/issues/168)) ([adf48b3](https://github.com/drivesoftware/messages/commit/adf48b3bd8f1f7105fa5530bfcc8b91b9b4c7516))

## [3.80.0](https://github.com/drivesoftware/messages/compare/3.79.0...3.80.0) (2022-05-04)


### Features

* **charge-lines:** support changed notifications ([#167](https://github.com/drivesoftware/messages/issues/167)) ([e1156ed](https://github.com/drivesoftware/messages/commit/e1156edb8be7de3b4da87eac8a4deb7a31215c06)), closes [drive/backlog#1053](https://github.com/drive/backlog/issues/1053)

## [3.79.0](https://github.com/drivesoftware/messages/compare/3.78.0...3.79.0) (2022-05-03)


### Features

* **audio-briefs:** add cancel command and event ([#166](https://github.com/drivesoftware/messages/issues/166)) ([43b2f3a](https://github.com/drivesoftware/messages/commit/43b2f3ad19bf414b4e03df053f1c3f550d69e0dc))

## [3.78.0](https://github.com/drivesoftware/messages/compare/3.77.0...3.78.0) (2022-05-02)


### Features

* **station:** remove standard rate ([#165](https://github.com/drivesoftware/messages/issues/165)) ([0ebf460](https://github.com/drivesoftware/messages/commit/0ebf46087167fd5e54d775087c0c1b6b65089799))

## [3.77.0](https://github.com/drivesoftware/messages/compare/3.76.1...3.77.0) (2022-04-30)


### Features

* **cost-lines:** refator events for aggregate implementation ([#164](https://github.com/drivesoftware/messages/issues/164)) ([bdd02ff](https://github.com/drivesoftware/messages/commit/bdd02ff25ea1093e69d14b490343c5d6d09c0732))

### [3.76.1](https://github.com/drivesoftware/messages/compare/3.76.0...3.76.1) (2022-04-28)


### Bug Fixes

* **uninstructed:** add schedule id to calculate uninstructed spots command ([#163](https://github.com/drivesoftware/messages/issues/163)) ([339e9ca](https://github.com/drivesoftware/messages/commit/339e9cab1355f50027aec15b449e0096c96dab6a))

## [3.76.0](https://github.com/drivesoftware/messages/compare/3.75.1...3.76.0) (2022-04-27)


### Features

* **charge-lines:** refator events for aggregate implementation ([#162](https://github.com/drivesoftware/messages/issues/162)) ([9e4ed49](https://github.com/drivesoftware/messages/commit/9e4ed494413e29332a457757f26b044d6de5f9f4))

### [3.75.1](https://github.com/drivesoftware/messages/compare/3.75.0...3.75.1) (2022-04-19)


### Bug Fixes

* **split-contract:** include spots in split line command ([#161](https://github.com/drivesoftware/messages/issues/161)) ([4923efe](https://github.com/drivesoftware/messages/commit/4923efe32e7a43151ff28502e0f623ff83176fbf))

## [3.75.0](https://github.com/drivesoftware/messages/compare/3.74.0...3.75.0) (2022-03-22)


### Features

* **admin:** add sales channel maintenance messages ([#160](https://github.com/drivesoftware/messages/issues/160)) ([32d149e](https://github.com/drivesoftware/messages/commit/32d149ecc14261860f55c332f33acdeabc2f37c1))

## [3.74.0](https://github.com/drivesoftware/messages/compare/3.73.1...3.74.0) (2022-02-23)


### Features

* **scheduling:** add load aired times command and events ([#159](https://github.com/drivesoftware/messages/issues/159)) ([3cf87ac](https://github.com/drivesoftware/messages/commit/3cf87ac))



### [3.73.1](https://github.com/drivesoftware/messages/compare/3.73.0...3.73.1) (2022-02-16)

## [3.73.0](https://github.com/drivesoftware/messages/compare/3.72.1...3.73.0) (2022-01-24)


### Features

* **audio-line:** add contractId to audioLine command/event ([#158](https://github.com/drivesoftware/messages/issues/158)) ([972f9fb](https://github.com/drivesoftware/messages/commit/972f9fb98493ae54e02dc64f449fec1ac52902db))

### [3.72.1](https://github.com/drivesoftware/messages/compare/3.72.0...3.72.1) (2021-12-03)


### Bug Fixes

* **contract-packing:** split spot and charge campaign id ([#157](https://github.com/drivesoftware/messages/issues/157)) ([caa030b](https://github.com/drivesoftware/messages/commit/caa030b0f43c618e4bc2cc54174dc1ff49b98986))

## [3.72.0](https://github.com/drivesoftware/messages/compare/3.71.0...3.72.0) (2021-11-22)


### Features

* **contract:** add posted event ([#156](https://github.com/drivesoftware/messages/issues/156)) ([8f5ff21](https://github.com/drivesoftware/messages/commit/8f5ff21))



## [3.71.0](https://github.com/drivesoftware/messages/compare/3.70.0...3.71.0) (2021-11-21)


### Features

* **admin-campaign:** add switch for cost percent on net/gross ([#155](https://github.com/drivesoftware/messages/issues/155)) ([353654a](https://github.com/drivesoftware/messages/commit/353654ab5d94c040c299230ad66fd5e23edbb62f))

## [3.70.0](https://github.com/drivesoftware/messages/compare/3.69.0...3.70.0) (2021-11-16)


### Features

* **contract:** add contract pack commands and events ([#154](https://github.com/drivesoftware/messages/issues/154)) ([28e30f7](https://github.com/drivesoftware/messages/commit/28e30f7))



## [3.69.0](https://github.com/drivesoftware/messages/compare/3.68.0...3.69.0) (2021-11-02)


### Features

* **scheduling:** refactoring to support schedule time storage changes ([#153](https://github.com/drivesoftware/messages/issues/153)) ([d61bcc9](https://github.com/drivesoftware/messages/commit/d61bcc93ebca9b9e717c3ce3a434e2a1361c43b4))

## [3.68.0](https://github.com/drivesoftware/messages/compare/3.67.0...3.68.0) (2021-11-02)


### Features

* **copy-contract:** add accountManagerId to copy command ([#152](https://github.com/drivesoftware/messages/issues/152)) ([26dd725](https://github.com/drivesoftware/messages/commit/26dd725614c038118711d2c975c8dfdce0f0688d))

## [3.67.0](https://github.com/drivesoftware/messages/compare/3.66.0...3.67.0) (2021-10-28)


### Features

* **events:** Add reassigned events for writer and producer ([#151](https://github.com/drivesoftware/messages/issues/151)) ([46346ff](https://github.com/drivesoftware/messages/commit/46346ffba23813aed314fb6f9a690b65186dbef8))

## [3.66.0](https://github.com/drivesoftware/messages/compare/3.65.0...3.66.0) (2021-10-04)


### Features

* **station:** remove station expected rate ([#150](https://github.com/drivesoftware/messages/issues/150)) ([f28dea2](https://github.com/drivesoftware/messages/commit/f28dea2f7c772661bf5a16742df59e8c39578094))

## [3.65.0](https://github.com/drivesoftware/messages/compare/3.64.1...3.65.0) (2021-10-04)


### Features

* **rate-card:** add duplicate messages ([#149](https://github.com/drivesoftware/messages/issues/149)) ([f47df02](https://github.com/drivesoftware/messages/commit/f47df0282be2e38927e926b3b36bf2f91979682f))

### [3.64.1](https://github.com/drivesoftware/messages/compare/3.64.0...3.64.1) (2021-09-23)


### Bug Fixes

* **scheduling:** add station ids to line created event ([40030ff](https://github.com/drivesoftware/messages/commit/40030ff4417702fe6e95a70115b98ae8cf687d82))

## [3.64.0](https://github.com/drivesoftware/messages/compare/3.63.1...3.64.0) (2021-09-23)


### Features

* **spotlines:** provide ids for station lines ([3d482f2](https://github.com/drivesoftware/messages/commit/3d482f296c3144afa268140d7e51c24632e85429))

### [3.63.1](https://github.com/drivesoftware/messages/compare/3.63.0...3.63.1) (2021-09-22)

## [3.63.0](https://github.com/drivesoftware/messages/compare/3.62.0...3.63.0) (2021-09-22)


### Features

* **line-packs:** add events and commands for packs ([#148](https://github.com/drivesoftware/messages/issues/148)) ([834b50a](https://github.com/drivesoftware/messages/commit/834b50a1c2591424cc7b6b1dc257a27450207c52))

## [3.62.0](https://github.com/drivesoftware/messages/compare/3.61.0...3.62.0) (2021-09-16)


### Features

* **contract:** add broadcast flag to calculate revenue command ([efab166](https://github.com/drivesoftware/messages/commit/efab1668bf31e02dede0ffe44436add705120510))

## [3.61.0](https://github.com/drivesoftware/messages/compare/3.60.0...3.61.0) (2021-08-30)


### Features

* **contract:** add split contract messages ([#147](https://github.com/drivesoftware/messages/issues/147)) ([3b0ba0e](https://github.com/drivesoftware/messages/commit/3b0ba0e323709e2c795aabae21f416320291237d))

## [3.60.0](https://github.com/drivesoftware/messages/compare/3.59.1...3.60.0) (2021-08-24)


### Features

* **contract:** refactor duplicate process ([#146](https://github.com/drivesoftware/messages/issues/146)) ([584696e](https://github.com/drivesoftware/messages/commit/584696e0b7f3e4ffbd3a3682ce50bdbed5054e6f))

### [3.59.1](https://github.com/drivesoftware/messages/compare/3.59.0...3.59.1) (2021-08-21)

## [3.59.0](https://github.com/drivesoftware/messages/compare/3.58.0...3.59.0) (2021-08-16)


### Features

* **contract:** discount general ledger on campaign ([#145](https://github.com/drivesoftware/messages/issues/145)) ([97dff2f](https://github.com/drivesoftware/messages/commit/97dff2f))



## [3.58.0](https://github.com/drivesoftware/messages/compare/3.57.0...3.58.0) (2021-08-10)


### Features

* **airmail:** add dismiss previous invalid airmail messages ([9dbd1c0](https://github.com/drivesoftware/messages/commit/9dbd1c0471bc6ef9df369fb89284c2ff3a007ef7))

## [3.57.0](https://github.com/drivesoftware/messages/compare/3.56.1...3.57.0) (2021-08-10)


### Features

* **airmail:** add update invalid airmail messages ([ae53fe3](https://github.com/drivesoftware/messages/commit/ae53fe39b7509138565f2331bc38c8b2ca5d431c))

### [3.56.1](https://github.com/drivesoftware/messages/compare/3.56.0...3.56.1) (2021-08-09)


### Bug Fixes

* **sales:** add line number to charge and cost create commands ([f46ffb1](https://github.com/drivesoftware/messages/commit/f46ffb1b7da01bbb5dec95f53c7700ee2c560291))

## [3.56.0](https://github.com/drivesoftware/messages/compare/3.55.1...3.56.0) (2021-07-01)


### Features

* **report:** maintain recart audio for audio brief ([#144](https://github.com/drivesoftware/messages/issues/144)) ([20aff6c](https://github.com/drivesoftware/messages/commit/20aff6c))



### [3.55.1](https://github.com/drivesoftware/messages/compare/3.55.0...3.55.1) (2021-06-30)


### Bug Fixes

* **sales:** add for month to create rate commands ([262aecc](https://github.com/drivesoftware/messages/commit/262aecc1ee646ccaa9c1a323f40529c8e03fa2f4))

## [3.55.0](https://github.com/drivesoftware/messages/compare/3.54.1...3.55.0) (2021-06-30)


### Features

* **sales:** add line moved events ([1078eb9](https://github.com/drivesoftware/messages/commit/1078eb948172a5d610801b6f30c0011d9360a2c5))

### [3.54.1](https://github.com/drivesoftware/messages/compare/3.54.0...3.54.1) (2021-06-15)


### Bug Fixes

* **sales:** remove correlated event from note created ([6e48db4](https://github.com/drivesoftware/messages/commit/6e48db40d78d42d09df2841129e2282d1baf3580))

## [3.54.0](https://github.com/drivesoftware/messages/compare/3.53.5...3.54.0) (2021-06-14)


### Features

* **sales:** remove domain event from note created ([71d6e8b](https://github.com/drivesoftware/messages/commit/71d6e8b82458cc4f1c11e0c684b15d1708476860))

### [3.53.5](https://github.com/drivesoftware/messages/compare/3.53.4...3.53.5) (2021-06-14)


### Bug Fixes

* **finance:** add statement properties to account creation ([9d70147](https://github.com/drivesoftware/messages/commit/9d70147))



### [3.53.4](https://github.com/drivesoftware/messages/compare/3.53.3...3.53.4) (2021-06-01)


### Bug Fixes

* **audio-line:** remove line numbers from copy event ([7591d45](https://github.com/drivesoftware/messages/commit/7591d457aa08d024f7a3fb1a2c729c0cb3c64d7a))

### [3.53.3](https://github.com/drivesoftware/messages/compare/3.53.2...3.53.3) (2021-05-19)

### [3.53.2](https://github.com/drivesoftware/messages/compare/3.53.1...3.53.2) (2021-05-19)

### [3.53.1](https://github.com/drivesoftware/messages/compare/3.53.0...3.53.1) (2021-05-18)

## [3.53.0](https://github.com/drivesoftware/messages/compare/3.52.0...3.53.0) (2021-04-08)


### Features

* **rates:** rate card rate calculation and allocation ([#143](https://github.com/drivesoftware/messages/issues/143)) ([9c1b460](https://github.com/drivesoftware/messages/commit/9c1b460023e6ba1ac717032db679b5b7cfde922d))

## [3.52.0](https://github.com/drivesoftware/messages/compare/3.51.0...3.52.0) (2021-03-25)


### Features

* **scheduling:** add made good line details to make good added ([0a0caaf](https://github.com/drivesoftware/messages/commit/0a0caafd5d556fedad1a93bb75c160a8d33391a9))


### Bug Fixes

* **scheduling:** remove duplicate made good event ([2afa198](https://github.com/drivesoftware/messages/commit/2afa198dfe9fb5bba3fccafc7d070d76d7dbddfb))

## [3.51.0](https://github.com/drivesoftware/messages/compare/3.50.0...3.51.0) (2021-03-22)


### Features

* **sales:** add commands for contract posting ([#142](https://github.com/drivesoftware/messages/issues/142)) ([5743dcd](https://github.com/drivesoftware/messages/commit/5743dcd))



## [3.50.0](https://github.com/drivesoftware/messages/compare/3.49.0...3.50.0) (2021-03-18)


### Features

* **finance:** add settings messages ([e4caf40](https://github.com/drivesoftware/messages/commit/e4caf40fba31589cadaaf13a994cdab7da56fd52))

## [3.49.0](https://github.com/drivesoftware/messages/compare/3.48.2...3.49.0) (2021-03-11)


### Features

* **contract:** allow specifying receivable account at creation ([fae08aa](https://github.com/drivesoftware/messages/commit/fae08aa417a24fb1daf3ac82b4c08b1da8626211))

### [3.48.2](https://github.com/drivesoftware/messages/compare/3.48.1...3.48.2) (2021-02-23)


### Bug Fixes

* **scheduling:** add line number to duplicate booking line command ([#141](https://github.com/drivesoftware/messages/issues/141)) ([89f934d](https://github.com/drivesoftware/messages/commit/89f934d))



### [3.48.1](https://github.com/drivesoftware/messages/compare/3.48.0...3.48.1) (2021-02-22)

## [3.48.0](https://github.com/drivesoftware/messages/compare/3.47.0...3.48.0) (2021-02-17)


### Features

* **itops:** add export agency revenue command ([3a59989](https://github.com/drivesoftware/messages/commit/3a59989ad7abbc456af96dae55f0bb357cf26073))

## [3.47.0](https://github.com/drivesoftware/messages/compare/3.46.0...3.47.0) (2021-02-17)


### Features

* **settings:** add scheduling global settings ([#140](https://github.com/drivesoftware/messages/issues/140)) ([7a08704](https://github.com/drivesoftware/messages/commit/7a0870409f6ee67f20cc39fb06ac3f2b870f4b81))

## [3.46.0](https://github.com/drivesoftware/messages/compare/3.45.1...3.46.0) (2021-02-11)


### Features

* **finance:** add account stopped to create command ([22ae5d7](https://github.com/drivesoftware/messages/commit/22ae5d7d85de5c27004736a8a3050a7af76b2626))

### [3.45.1](https://github.com/drivesoftware/messages/compare/3.45.0...3.45.1) (2021-01-22)


### Bug Fixes

* **oversell:** separate violation event from detection ([fcf20f0](https://github.com/drivesoftware/messages/commit/fcf20f022146e6b1933b5484ada5a36644caf88f))

## [3.45.0](https://github.com/drivesoftware/messages/compare/3.44.1...3.45.0) (2020-12-13)


### Features

* **client:** add trading name ([#139](https://github.com/drivesoftware/messages/issues/139)) ([0e52b34](https://github.com/drivesoftware/messages/commit/0e52b3456e155a491f98f85aa4faedf4f0647440))

### [3.44.1](https://github.com/drivesoftware/messages/compare/3.44.0...3.44.1) (2020-12-10)


### Bug Fixes

* **schedules:** remove duplicate schedule id model def ([9c691db](https://github.com/drivesoftware/messages/commit/9c691dbb38225dfd6a7b8f1d3a1908cdb368c586))

## [3.44.0](https://github.com/drivesoftware/messages/compare/3.43.0...3.44.0) (2020-12-10)


### Features

* **scheduler:** explicit notify command for live update ([5ed85f1](https://github.com/drivesoftware/messages/commit/5ed85f1df4319c0e6bbbc75d8d5a0b601441c2e7))

## [3.43.0](https://github.com/drivesoftware/messages/compare/3.42.0...3.43.0) (2020-12-08)


### Features

* **admin:** add days props to timezone messages ([da0a3c4](https://github.com/drivesoftware/messages/commit/da0a3c4))



## [3.42.0](https://github.com/drivesoftware/messages/compare/3.41.0...3.42.0) (2020-11-22)


### Features

* **scheduler:** add schedulre-requests command and event ([#138](https://github.com/drivesoftware/messages/issues/138)) ([a1447fa](https://github.com/drivesoftware/messages/commit/a1447fa))



## [3.41.0](https://github.com/drivesoftware/messages/compare/3.40.0...3.41.0) (2020-11-19)


### Features

* **nexgen:** publish previous playback reference ([#137](https://github.com/drivesoftware/messages/issues/137)) ([960ea7b](https://github.com/drivesoftware/messages/commit/960ea7b))



## [3.40.0](https://github.com/drivesoftware/messages/compare/3.39.1...3.40.0) (2020-11-09)


### Features

* **admin:** advertisment free days brand option ([#136](https://github.com/drivesoftware/messages/issues/136)) ([56e1624](https://github.com/drivesoftware/messages/commit/56e1624))



### [3.39.1](https://github.com/drivesoftware/messages/compare/3.39.0...3.39.1) (2020-11-01)



## [3.39.0](https://github.com/drivesoftware/messages/compare/3.38.1...3.39.0) (2020-10-29)


### Features

* **creative:** add audio brief integration command ([ead388f](https://github.com/drivesoftware/messages/commit/ead388f))



### [3.38.1](https://github.com/drivesoftware/messages/compare/3.38.0...3.38.1) (2020-10-22)



## [3.38.0](https://github.com/drivesoftware/messages/compare/3.37.0...3.38.0) (2020-10-22)


### Features

* **audio-line:** add audio line play count events ([#134](https://github.com/drivesoftware/messages/issues/134)) ([6854764](https://github.com/drivesoftware/messages/commit/6854764))



## [3.37.0](https://github.com/drivesoftware/messages/compare/3.36.1...3.37.0) (2020-10-19)


### Features

* **clocks:** clock created event feedback ([#133](https://github.com/drivesoftware/messages/issues/133)) ([c2732ec](https://github.com/drivesoftware/messages/commit/c2732ec))



### [3.36.1](https://github.com/drivesoftware/messages/compare/3.36.0...3.36.1) (2020-10-17)


### Bug Fixes

* **airmail:** add start date to invalid message notification ([11b3ba0](https://github.com/drivesoftware/messages/commit/11b3ba0))



## [3.36.0](https://github.com/drivesoftware/messages/compare/3.35.0...3.36.0) (2020-10-16)


### Features

* **scheduling:** add create contract command ([f3f62da](https://github.com/drivesoftware/messages/commit/f3f62da))



## [3.35.0](https://github.com/drivesoftware/messages/compare/3.34.0...3.35.0) (2020-10-13)


### Features

* **airmail:** invalid message queue ([#132](https://github.com/drivesoftware/messages/issues/132)) ([b13020a](https://github.com/drivesoftware/messages/commit/b13020a))



## [3.34.0](https://github.com/drivesoftware/messages/compare/3.33.0...3.34.0) (2020-10-08)


### Features

* **audio-brief:** add event for audio brief linked to contract ([#131](https://github.com/drivesoftware/messages/issues/131)) ([43749f4](https://github.com/drivesoftware/messages/commit/43749f4))



## [3.33.0](https://github.com/drivesoftware/messages/compare/3.32.0...3.33.0) (2020-10-05)


### Features

* **account:** create receivable account ([#130](https://github.com/drivesoftware/messages/issues/130)) ([5e59c38](https://github.com/drivesoftware/messages/commit/5e59c38))



## [3.32.0](https://github.com/drivesoftware/messages/compare/3.31.0...3.32.0) (2020-09-30)


### Features

* **schedule:** add live update commands ([#129](https://github.com/drivesoftware/messages/issues/129)) ([1dbe2dd](https://github.com/drivesoftware/messages/commit/1dbe2dd))



## [3.31.0](https://github.com/drivesoftware/messages/compare/3.30.0...3.31.0) (2020-09-26)


### Features

* **clock:** add support for automation breaks ([#128](https://github.com/drivesoftware/messages/issues/128)) ([4d98e50](https://github.com/drivesoftware/messages/commit/4d98e5083cc31ef82be97c2f2f6250b511126817))

## [3.30.0](https://github.com/drivesoftware/messages/compare/3.29.1...3.30.0) (2020-09-22)


### Features

* **branches:** branch group management ([#127](https://github.com/drivesoftware/messages/issues/127)) ([8732441](https://github.com/drivesoftware/messages/commit/8732441))



### [3.29.1](https://github.com/drivesoftware/messages/compare/3.29.0...3.29.1) (2020-09-21)


### Bug Fixes

* **clock:** allow for bulk copying empty hour ([#126](https://github.com/drivesoftware/messages/issues/126)) ([55bc26e](https://github.com/drivesoftware/messages/commit/55bc26e))



## [3.29.0](https://github.com/drivesoftware/messages/compare/3.28.0...3.29.0) (2020-09-20)


### Features

* **schedule:** set giveaway favourite command ([#125](https://github.com/drivesoftware/messages/issues/125)) ([4bcfc28](https://github.com/drivesoftware/messages/commit/4bcfc28))



## [3.28.0](https://github.com/drivesoftware/messages/compare/3.27.0...3.28.0) (2020-09-19)


### Features

* **admin:** add sales global settings command and event ([c7618f9](https://github.com/drivesoftware/messages/commit/c7618f996eebd809bf19cb9e0d34c46eee386ffa))

## [3.27.0](https://github.com/drivesoftware/messages/compare/3.26.0...3.27.0) (2020-09-19)


### Features

* **cashbook:** add cashbook transaction added event ([3c1bd65](https://github.com/drivesoftware/messages/commit/3c1bd653c70ecbd2d04fd4146ac3f5ebee5b4b5d))

## [3.26.0](https://github.com/drivesoftware/messages/compare/3.25.1...3.26.0) (2020-09-19)


### Features

* **admin:** add creative global settings command and event ([#124](https://github.com/drivesoftware/messages/issues/124)) ([c715639](https://github.com/drivesoftware/messages/commit/c715639))



### [3.25.1](https://github.com/drivesoftware/messages/compare/3.25.0...3.25.1) (2020-09-19)

## [3.25.0](https://github.com/drivesoftware/messages/compare/3.24.0...3.25.0) (2020-09-09)


### Features

* **clocks:** remove day break day light savings ([#123](https://github.com/drivesoftware/messages/issues/123)) ([0b4fc21](https://github.com/drivesoftware/messages/commit/0b4fc21))



## [3.24.0](https://github.com/drivesoftware/messages/compare/3.23.0...3.24.0) (2020-09-08)


### Features

* **accounts:** allow accounts to be inactive ([#122](https://github.com/drivesoftware/messages/issues/122)) ([4d637ec](https://github.com/drivesoftware/messages/commit/4d637ec))



## [3.23.0](https://github.com/drivesoftware/messages/compare/3.22.2...3.23.0) (2020-09-04)


### Features

* **schedule:** add create contract booking lines command ([#121](https://github.com/drivesoftware/messages/issues/121)) ([b7a4e97](https://github.com/drivesoftware/messages/commit/b7a4e97))



### [3.22.2](https://github.com/drivesoftware/messages/compare/3.22.1...3.22.2) (2020-08-24)


### Bug Fixes

* **staff:** add external id ([dfeb61c](https://github.com/drivesoftware/messages/commit/dfeb61c))



### [3.22.1](https://github.com/drivesoftware/messages/compare/3.22.0...3.22.1) (2020-08-21)


### Bug Fixes

* **contract:** non deductible cost lines contract id ([#120](https://github.com/drivesoftware/messages/issues/120)) ([c354232](https://github.com/drivesoftware/messages/commit/c354232))



## [3.22.0](https://github.com/drivesoftware/messages/compare/3.21.1...3.22.0) (2020-08-21)


### Features

* **finance:** daily banking ([#119](https://github.com/drivesoftware/messages/issues/119)) ([cd02331](https://github.com/drivesoftware/messages/commit/cd02331))



### [3.21.1](https://github.com/drivesoftware/messages/compare/3.21.0...3.21.1) (2020-08-17)


### Bug Fixes

* **crm:** remove delete address command ([b5d6ac6](https://github.com/drivesoftware/messages/commit/b5d6ac6))



## [3.21.0](https://github.com/drivesoftware/messages/compare/3.20.0...3.21.0) (2020-08-17)


### Features

* **admin:** add addresss messages and properties to branch ([#118](https://github.com/drivesoftware/messages/issues/118)) ([a646647](https://github.com/drivesoftware/messages/commit/a646647))



## [3.20.0](https://github.com/drivesoftware/messages/compare/3.19.1...3.20.0) (2020-08-14)


### Features

* **contract:** non deductible cost lines ([#117](https://github.com/drivesoftware/messages/issues/117)) ([c5143ec](https://github.com/drivesoftware/messages/commit/c5143ec))



### [3.19.1](https://github.com/drivesoftware/messages/compare/3.19.0...3.19.1) (2020-08-11)


### Bug Fixes

* **crm:** remove actual from address property names ([0f6a52f](https://github.com/drivesoftware/messages/commit/0f6a52f))



## [3.19.0](https://github.com/drivesoftware/messages/compare/3.18.0...3.19.0) (2020-08-11)


### Features

* **crm:** add address messages ([5c661f2](https://github.com/drivesoftware/messages/commit/5c661f2))



## [3.18.0](https://github.com/drivesoftware/messages/compare/3.17.0...3.18.0) (2020-08-10)


### Features

* **api:** extend for crapi ([#116](https://github.com/drivesoftware/messages/issues/116)) ([97c3f7e](https://github.com/drivesoftware/messages/commit/97c3f7e))



## [3.17.0](https://github.com/drivesoftware/messages/compare/3.16.0...3.17.0) (2020-08-09)


### Features

* **finance:** account stopped property optional ([e2a2315](https://github.com/drivesoftware/messages/commit/e2a2315))



## [3.16.0](https://github.com/drivesoftware/messages/compare/3.15.4...3.16.0) (2020-08-07)


### Features

* **audio:** add sync commands and events ([#115](https://github.com/drivesoftware/messages/issues/115)) ([d73a3df](https://github.com/drivesoftware/messages/commit/d73a3df))



### [3.15.4](https://github.com/drivesoftware/messages/compare/3.15.3...3.15.4) (2020-08-06)


### Bug Fixes

* **admin:** rename unassigned alerts property ([c30d8b5](https://github.com/drivesoftware/messages/commit/c30d8b5))



### [3.15.3](https://github.com/drivesoftware/messages/compare/3.15.2...3.15.3) (2020-08-06)


### Bug Fixes

* **admin:** rename unassigned alerts property ([d745822](https://github.com/drivesoftware/messages/commit/d745822))



### [3.15.2](https://github.com/drivesoftware/messages/compare/3.15.1...3.15.2) (2020-08-06)


### Bug Fixes

* **admin:** add unassigned alert staff to settings messages ([2535946](https://github.com/drivesoftware/messages/commit/2535946))



### [3.15.1](https://github.com/drivesoftware/messages/compare/3.15.0...3.15.1) (2020-08-06)


### Bug Fixes

* **admin:** add network branch to settings messages ([310c468](https://github.com/drivesoftware/messages/commit/310c468))



## [3.15.0](https://github.com/drivesoftware/messages/compare/3.14.2...3.15.0) (2020-08-01)


### Features

* **finance:** add allocate cash book transaction command ([#114](https://github.com/drivesoftware/messages/issues/114)) ([e7e2bae](https://github.com/drivesoftware/messages/commit/e7e2bae))



### [3.14.2](https://github.com/drivesoftware/messages/compare/3.14.1...3.14.2) (2020-07-30)


### Bug Fixes

* **crm:** add organisation type to add client ([54bfe95](https://github.com/drivesoftware/messages/commit/54bfe95))



### [3.14.1](https://github.com/drivesoftware/messages/compare/3.14.0...3.14.1) (2020-07-29)


### Bug Fixes

* **finance:** add additional fields to account creation ([563d79f](https://github.com/drivesoftware/messages/commit/563d79f))



## [3.14.0](https://github.com/drivesoftware/messages/compare/3.13.0...3.14.0) (2020-07-29)


### Features

* **contract:** add optional agency id to creation ([85fc932](https://github.com/drivesoftware/messages/commit/85fc932))



## [3.13.0](https://github.com/drivesoftware/messages/compare/3.12.1...3.13.0) (2020-07-28)


### Features

* **admin:** messages for advertising manager ([8919c54](https://github.com/drivesoftware/messages/commit/8919c54))



### [3.12.1](https://github.com/drivesoftware/messages/compare/3.12.0...3.12.1) (2020-07-27)



## [3.12.0](https://github.com/drivesoftware/messages/compare/3.11.0...3.12.0) (2020-07-27)


### Features

* **accounts:** introduce finance context and add guid support ([#113](https://github.com/drivesoftware/messages/issues/113)) ([797d9f0](https://github.com/drivesoftware/messages/commit/797d9f0))



## [3.11.0](https://github.com/drivesoftware/messages/compare/3.10.0...3.11.0) (2020-07-25)


### Features

* **admin:** messages for staff teams ([281e7c5](https://github.com/drivesoftware/messages/commit/281e7c5))



## [3.10.0](https://github.com/drivesoftware/messages/compare/3.9.1...3.10.0) (2020-07-24)


### Features

* **contract:** contract agency support ([#112](https://github.com/drivesoftware/messages/issues/112)) ([5118830](https://github.com/drivesoftware/messages/commit/5118830))



### [3.9.1](https://github.com/drivesoftware/messages/compare/3.9.0...3.9.1) (2020-07-23)


### Bug Fixes

* **scheduling:** add missing clock creation properties ([57563a5](https://github.com/drivesoftware/messages/commit/57563a5))



## [3.9.0](https://github.com/drivesoftware/messages/compare/3.8.0...3.9.0) (2020-07-23)


### Features

* **scheduling:** add copy clock messages ([fb51812](https://github.com/drivesoftware/messages/commit/fb51812))



## [3.8.0](https://github.com/drivesoftware/messages/compare/3.7.1...3.8.0) (2020-07-21)


### Features

* **print:** financial print commands ([#111](https://github.com/drivesoftware/messages/issues/111)) ([f53545b](https://github.com/drivesoftware/messages/commit/f53545b))



### [3.7.1](https://github.com/drivesoftware/messages/compare/3.7.0...3.7.1) (2020-07-16)



## [3.7.0](https://github.com/drivesoftware/messages/compare/3.6.0...3.7.0) (2020-07-15)


### Features

* **client:** client agency support ([#109](https://github.com/drivesoftware/messages/issues/109)) ([c30a4de](https://github.com/drivesoftware/messages/commit/c30a4de))



## [3.6.0](https://github.com/drivesoftware/messages/compare/3.5.0...3.6.0) (2020-07-13)


### Features

* **client:** add link receivable account commands and events ([#108](https://github.com/drivesoftware/messages/issues/108)) ([0a9dd28](https://github.com/drivesoftware/messages/commit/0a9dd28))



## [3.5.0](https://github.com/drivesoftware/messages/compare/3.4.0...3.5.0) (2020-07-13)


### Features

* **admin:** messages for ad free days ([#107](https://github.com/drivesoftware/messages/issues/107)) ([9662593](https://github.com/drivesoftware/messages/commit/9662593))



## [3.4.0](https://github.com/drivesoftware/messages/compare/3.3.1...3.4.0) (2020-07-09)


### Features

* **client:** multiple client account managers ([#106](https://github.com/drivesoftware/messages/issues/106)) ([db9bceb](https://github.com/drivesoftware/messages/commit/db9bceb))



### [3.3.1](https://github.com/drivesoftware/messages/compare/3.3.0...3.3.1) (2020-07-08)


### Bug Fixes

* **client:** change client event name ([#105](https://github.com/drivesoftware/messages/issues/105)) ([306869a](https://github.com/drivesoftware/messages/commit/306869a))



## [3.3.0](https://github.com/drivesoftware/messages/compare/3.2.0...3.3.0) (2020-07-05)


### Features

* **schedule:** add record schedule opened command ([#104](https://github.com/drivesoftware/messages/issues/104)) ([852390f](https://github.com/drivesoftware/messages/commit/852390f))



## [3.2.0](https://github.com/drivesoftware/messages/compare/3.1.4...3.2.0) (2020-07-02)


### Features

* **admin:** change account manager command ([#103](https://github.com/drivesoftware/messages/issues/103)) ([68fff2d](https://github.com/drivesoftware/messages/commit/68fff2d))



### [3.1.4](https://github.com/drivesoftware/messages/compare/3.1.3...3.1.4) (2020-06-27)


### Bug Fixes

* **giveaways:** new serializer doesn't allow dynamic dispatch ([917bcdb](https://github.com/drivesoftware/messages/commit/917bcdbefb39ec3b2fefba3a45b23960620ab1fb))

### [3.1.3](https://github.com/drivesoftware/messages/compare/3.1.2...3.1.3) (2020-06-26)


### Bug Fixes

* **scheduling:** clock replacement in schedules namespace ([ca1242f](https://github.com/drivesoftware/messages/commit/ca1242f))



### [3.1.2](https://github.com/drivesoftware/messages/compare/3.1.1...3.1.2) (2020-06-26)


### Bug Fixes

* **clocks:** correct namespaces for clock messages ([79f44ca](https://github.com/drivesoftware/messages/commit/79f44ca))



### [3.1.1](https://github.com/drivesoftware/messages/compare/3.1.0...3.1.1) (2020-06-22)



## [3.1.0](https://github.com/drivesoftware/messages/compare/3.0.1...3.1.0) (2020-06-15)


### Features

* **staff:** staff events ([#102](https://github.com/drivesoftware/messages/issues/102)) ([0e3bfb1](https://github.com/drivesoftware/messages/commit/0e3bfb1))



### [3.0.1](https://github.com/drivesoftware/messages/compare/3.0.0...3.0.1) (2020-06-04)


### Bug Fixes

* **admin:** remove creation props from branch edited ([b97768d](https://github.com/drivesoftware/messages/commit/b97768d))



## [3.0.0](https://github.com/drivesoftware/messages/compare/2.119.1...3.0.0) (2020-06-04)


### Features

* **all:** upgrade nservice bus ([#101](https://github.com/drivesoftware/messages/issues/101)) ([96c406a](https://github.com/drivesoftware/messages/commit/96c406a))


### BREAKING CHANGES

* **all:** NServiceBus dependency upgraded



### [2.119.1](https://github.com/drivesoftware/messages/compare/2.119.0...2.119.1) (2020-06-03)


### Bug Fixes

* **schedule:** use supported type for serialization ([#100](https://github.com/drivesoftware/messages/issues/100)) ([99895bc](https://github.com/drivesoftware/messages/commit/99895bc))



## [2.119.0](https://github.com/drivesoftware/messages/compare/2.118.0...2.119.0) (2020-06-03)


### Features

* **recon:** add commands and events ([#99](https://github.com/drivesoftware/messages/issues/99)) ([c24c9fb](https://github.com/drivesoftware/messages/commit/c24c9fb))



## [2.118.0](https://github.com/drivesoftware/messages/compare/2.117.2...2.118.0) (2020-05-26)


### Features

* **contact:** change id to guid ([#98](https://github.com/drivesoftware/messages/issues/98)) ([e673a16](https://github.com/drivesoftware/messages/commit/e673a16c1d8bf966876f4bf828b0ef5e0212c92b))

### [2.117.2](https://github.com/drivesoftware/messages/compare/2.117.1...2.117.2) (2020-05-25)


### Bug Fixes

* **commitment:** remove unessesary client id ([1418772](https://github.com/drivesoftware/messages/commit/1418772))



### [2.117.1](https://github.com/drivesoftware/messages/compare/2.117.0...2.117.1) (2020-05-24)


### Bug Fixes

* **commitment:** add client id to created event ([c68ceed](https://github.com/drivesoftware/messages/commit/c68ceed))



## [2.117.0](https://github.com/drivesoftware/messages/compare/2.116.0...2.117.0) (2020-05-24)


### Features

* **commitment:** add creation info to created event ([ed55217](https://github.com/drivesoftware/messages/commit/ed55217))



## [2.116.0](https://github.com/drivesoftware/messages/compare/2.115.5...2.116.0) (2020-05-19)


### Features

* **commitment-rates:** change id to guid ([65f6946](https://github.com/drivesoftware/messages/commit/65f6946))



### [2.115.5](https://github.com/drivesoftware/messages/compare/2.115.4...2.115.5) (2020-05-17)


### Bug Fixes

* **clients:** added event needs guid id ([777363a](https://github.com/drivesoftware/messages/commit/777363a))



### [2.115.4](https://github.com/drivesoftware/messages/compare/2.115.3...2.115.4) (2020-05-17)


### Bug Fixes

* **clients:** added client should always be active ([ac0329b](https://github.com/drivesoftware/messages/commit/ac0329b))



### [2.115.3](https://github.com/drivesoftware/messages/compare/2.115.2...2.115.3) (2020-05-17)


### Bug Fixes

* **clients:** add creation info properties to added event ([67c241b](https://github.com/drivesoftware/messages/commit/67c241b))



### [2.115.2](https://github.com/drivesoftware/messages/compare/2.115.1...2.115.2) (2020-05-17)


### Bug Fixes

* **clients:** put add command in correct namespace ([e4c3090](https://github.com/drivesoftware/messages/commit/e4c3090))



### [2.115.1](https://github.com/drivesoftware/messages/compare/2.115.0...2.115.1) (2020-05-17)


### Bug Fixes

* **clients:** put add command in correct namespace ([f4b9a7c](https://github.com/drivesoftware/messages/commit/f4b9a7c))



## [2.115.0](https://github.com/drivesoftware/messages/compare/2.114.0...2.115.0) (2020-05-17)


### Features

* **clients:** add client messages (api/public) ([4ce1a25](https://github.com/drivesoftware/messages/commit/4ce1a25))



## [2.114.0](https://github.com/drivesoftware/messages/compare/2.113.4...2.114.0) (2020-05-04)


### Features

* **client:** change id from int to guid ([#97](https://github.com/drivesoftware/messages/issues/97)) ([e01d148](https://github.com/drivesoftware/messages/commit/e01d14814e7608367b945302b8354ad271fd6329))

### [2.113.4](https://github.com/drivesoftware/messages/compare/2.113.3...2.113.4) (2020-04-29)


### Bug Fixes

* **clock:** fix referenced schedule date control id ([#96](https://github.com/drivesoftware/messages/issues/96)) ([2a55795](https://github.com/drivesoftware/messages/commit/2a55795))



### [2.113.3](https://github.com/drivesoftware/messages/compare/2.113.2...2.113.3) (2020-04-29)


### Bug Fixes

* **clock:** single clock reschedule event ([#95](https://github.com/drivesoftware/messages/issues/95)) ([b89da8e](https://github.com/drivesoftware/messages/commit/b89da8e))



### [2.113.2](https://github.com/drivesoftware/messages/compare/2.113.1...2.113.2) (2020-04-28)


### Bug Fixes

* **clock:** break out clock can be null ([#94](https://github.com/drivesoftware/messages/issues/94)) ([fcafdb9](https://github.com/drivesoftware/messages/commit/fcafdb9))



### [2.113.1](https://github.com/drivesoftware/messages/compare/2.113.0...2.113.1) (2020-04-24)


### Bug Fixes

* **clock:** day clock guid ids ([#93](https://github.com/drivesoftware/messages/issues/93)) ([3589a1c](https://github.com/drivesoftware/messages/commit/3589a1c))



## [2.113.0](https://github.com/drivesoftware/messages/compare/2.112.0...2.113.0) (2020-04-24)


### Features

* **clock:** replace clock commands ([#92](https://github.com/drivesoftware/messages/issues/92)) ([2dd38cb](https://github.com/drivesoftware/messages/commit/2dd38cb))



## [2.112.0](https://github.com/drivesoftware/messages/compare/2.111.1...2.112.0) (2020-04-23)


### Features

* **campaign-restrictions:** consolidate separated parts ([#91](https://github.com/drivesoftware/messages/issues/91)) ([d39fe64](https://github.com/drivesoftware/messages/commit/d39fe64ed17308ecd0b0c046294861621d029479))

### [2.111.1](https://github.com/drivesoftware/messages/compare/2.111.0...2.111.1) (2020-04-17)


### Bug Fixes

* **clock:** station clock guid ids ([#90](https://github.com/drivesoftware/messages/issues/90)) ([05ec552](https://github.com/drivesoftware/messages/commit/05ec552))



## [2.111.0](https://github.com/drivesoftware/messages/compare/2.110.4...2.111.0) (2020-04-07)


### Features

* **schedule:** add export command and events ([#89](https://github.com/drivesoftware/messages/issues/89)) ([9785fd9](https://github.com/drivesoftware/messages/commit/9785fd9))



### [2.110.4](https://github.com/drivesoftware/messages/compare/2.110.3...2.110.4) (2020-04-06)


### Bug Fixes

* **admin:** campaign gl codes are required ([ec92381](https://github.com/drivesoftware/messages/commit/ec92381))



### [2.110.3](https://github.com/drivesoftware/messages/compare/2.110.2...2.110.3) (2020-04-06)


### Bug Fixes

* **admin:** make campaign dates optional on events ([7be5558](https://github.com/drivesoftware/messages/commit/7be5558))



### [2.110.2](https://github.com/drivesoftware/messages/compare/2.110.1...2.110.2) (2020-04-06)


### Bug Fixes

* **admin:** make campaign dates optional ([6fabd8a](https://github.com/drivesoftware/messages/commit/6fabd8a))



### [2.110.1](https://github.com/drivesoftware/messages/compare/2.110.0...2.110.1) (2020-04-03)


### Bug Fixes

* **admin:** rename campaign properties ([e36dba4](https://github.com/drivesoftware/messages/commit/e36dba4))



## [2.110.0](https://github.com/drivesoftware/messages/compare/2.109.0...2.110.0) (2020-04-03)


### Features

* **admin:** messages for campaign ([4832c58](https://github.com/drivesoftware/messages/commit/4832c58))



## [2.109.0](https://github.com/drivesoftware/messages/compare/2.108.1...2.109.0) (2020-03-30)


### Features

* **admin:** messages for commission product discount campaign-type ([10a2ea9](https://github.com/drivesoftware/messages/commit/10a2ea9))



### [2.108.1](https://github.com/drivesoftware/messages/compare/2.108.0...2.108.1) (2020-03-30)


### Bug Fixes

* **clock:** clock and break guid ids ([#88](https://github.com/drivesoftware/messages/issues/88)) ([4ea3e7a](https://github.com/drivesoftware/messages/commit/4ea3e7a))



## [2.108.0](https://github.com/drivesoftware/messages/compare/2.107.0...2.108.0) (2020-03-27)


### Features

* **clock:** day clock and break commands ([#87](https://github.com/drivesoftware/messages/issues/87)) ([2208c72](https://github.com/drivesoftware/messages/commit/2208c72))



## [2.107.0](https://github.com/drivesoftware/messages/compare/2.106.1...2.107.0) (2020-03-17)


### Features

* **admin:** add messages for station maintenance ([54bf043](https://github.com/drivesoftware/messages/commit/54bf043))



### [2.106.1](https://github.com/drivesoftware/messages/compare/2.106.0...2.106.1) (2020-03-16)



## [2.106.0](https://github.com/drivesoftware/messages/compare/2.105.0...2.106.0) (2020-03-16)


### Features

* **admin:** add messages for station brand maintenance ([5e8b4bc](https://github.com/drivesoftware/messages/commit/5e8b4bc))



## [2.105.0](https://github.com/drivesoftware/messages/compare/2.104.0...2.105.0) (2020-03-11)


### Features

* **admin:** add messages for timezone maintenance ([16dd49f](https://github.com/drivesoftware/messages/commit/16dd49f))



## [2.104.0](https://github.com/drivesoftware/messages/compare/2.103.3...2.104.0) (2020-03-11)


### Features

* **admin:** add messages for day break type maintenance ([bff9ed8](https://github.com/drivesoftware/messages/commit/bff9ed8))



### [2.103.3](https://github.com/drivesoftware/messages/compare/2.103.2...2.103.3) (2020-03-09)


### Bug Fixes

* **itops:** add creation properties to created events ([d567c6e](https://github.com/drivesoftware/messages/commit/d567c6e))



### [2.103.2](https://github.com/drivesoftware/messages/compare/2.103.1...2.103.2) (2020-03-09)


### Bug Fixes

* **itops:** align namespaces in admin ([16a1490](https://github.com/drivesoftware/messages/commit/16a1490))



### [2.103.1](https://github.com/drivesoftware/messages/compare/2.103.0...2.103.1) (2020-03-09)



## [2.103.0](https://github.com/drivesoftware/messages/compare/2.102.0...2.103.0) (2020-03-09)


### Features

* **admin:** add messages for commitment type maintenance ([4b509e7](https://github.com/drivesoftware/messages/commit/4b509e7))



## [2.102.0](https://github.com/drivesoftware/messages/compare/2.101.0...2.102.0) (2020-03-04)


### Features

* **schedule:** add date control commands and events ([#86](https://github.com/drivesoftware/messages/issues/86)) ([a37ca1d](https://github.com/drivesoftware/messages/commit/a37ca1d))



## [2.101.0](https://github.com/drivesoftware/messages/compare/2.100.0...2.101.0) (2020-03-01)


### Features

* **spots:** add place and unplace commands ([#85](https://github.com/drivesoftware/messages/issues/85)) ([597c6a4](https://github.com/drivesoftware/messages/commit/597c6a4))



## [2.100.0](https://github.com/drivesoftware/messages/compare/2.99.0...2.100.0) (2020-02-24)


### Features

* **account:** add account stopped property ([604f7fb](https://github.com/drivesoftware/messages/commit/604f7fb))



## [2.99.0](https://github.com/drivesoftware/messages/compare/2.98.4...2.99.0) (2020-02-18)


### Features

* **accounts:** add overdue email commands ([#84](https://github.com/drivesoftware/messages/issues/84)) ([3e675cd](https://github.com/drivesoftware/messages/commit/3e675cd))



### [2.98.4](https://github.com/drivesoftware/messages/compare/2.98.3...2.98.4) (2020-02-17)


### Bug Fixes

* **client:** id properties should use correct suffix (events) ([1331087](https://github.com/drivesoftware/messages/commit/1331087))



### [2.98.3](https://github.com/drivesoftware/messages/compare/2.98.2...2.98.3) (2020-02-17)


### Bug Fixes

* **client:** id properties should use correct suffix ([303cd5b](https://github.com/drivesoftware/messages/commit/303cd5b))



### [2.98.2](https://github.com/drivesoftware/messages/compare/2.98.1...2.98.2) (2020-02-13)



### [2.98.1](https://github.com/drivesoftware/messages/compare/2.98.0...2.98.1) (2020-01-28)


### Bug Fixes

* **crm:** accounts namespace ([8b0fb9d](https://github.com/drivesoftware/messages/commit/8b0fb9d))



## [2.98.0](https://github.com/drivesoftware/messages/compare/2.97.2...2.98.0) (2020-01-27)


### Features

* **branches:** add assistant creative director ([#83](https://github.com/drivesoftware/messages/issues/83)) ([9cde6d3](https://github.com/drivesoftware/messages/commit/9cde6d37ad847da5191bf780e748846f00a66686))

### [2.97.2](https://github.com/drivesoftware/messages/compare/2.97.1...2.97.2) (2020-01-27)


### Bug Fixes

* **events:** create commitment standard rates ([#82](https://github.com/drivesoftware/messages/issues/82)) ([3214918](https://github.com/drivesoftware/messages/commit/3214918))



### [2.97.1](https://github.com/drivesoftware/messages/compare/2.97.0...2.97.1) (2020-01-27)


### Bug Fixes

* **events:** testing requires no idictionaries ([#81](https://github.com/drivesoftware/messages/issues/81)) ([bb4ec23](https://github.com/drivesoftware/messages/commit/bb4ec23))



## [2.97.0](https://github.com/drivesoftware/messages/compare/2.96.7...2.97.0) (2020-01-23)


### Features

* **commitment:** client commitment events ([#80](https://github.com/drivesoftware/messages/issues/80)) ([c03d36f](https://github.com/drivesoftware/messages/commit/c03d36f))



### [2.96.7](https://github.com/drivesoftware/messages/compare/2.96.5...2.96.7) (2020-01-20)

### [2.96.4](https://github.com/drivesoftware/messages/compare/2.96.5...2.96.4) (2020-01-20)

### [2.96.3](https://github.com/drivesoftware/messages/compare/2.96.2...2.96.3) (2019-12-16)


### Bug Fixes

* **contract:** expand play percentage range ([#74](https://github.com/drivesoftware/messages/issues/74)) ([f1b45a2](https://github.com/drivesoftware/messages/commit/f1b45a2))



### [2.96.2](https://github.com/drivesoftware/messages/compare/2.96.1...2.96.2) (2019-12-05)


### Bug Fixes

* **contract:** restrict play percentage range ([#73](https://github.com/drivesoftware/messages/issues/73)) ([bfc816d](https://github.com/drivesoftware/messages/commit/bfc816d))



### [2.96.1](https://github.com/drivesoftware/messages/compare/2.96.0...2.96.1) (2019-11-29)


### Bug Fixes

* **client:** add client id to receivable account events ([#72](https://github.com/drivesoftware/messages/issues/72)) ([d4d0a20](https://github.com/drivesoftware/messages/commit/d4d0a20))



## [2.96.0](https://github.com/drivesoftware/messages/compare/2.95.0...2.96.0) (2019-11-28)


### Features

* **client:** receivable account edit events ([#71](https://github.com/drivesoftware/messages/issues/71)) ([976333b](https://github.com/drivesoftware/messages/commit/976333b))



## [2.95.0](https://github.com/drivesoftware/messages/compare/2.94.0...2.95.0) (2019-11-10)


### Features

* **client:** client created command ([#70](https://github.com/drivesoftware/messages/issues/70)) ([ac916cd](https://github.com/drivesoftware/messages/commit/ac916cd))



## [2.94.0](https://github.com/drivesoftware/messages/compare/2.93.0...2.94.0) (2019-11-04)


### Features

* **document:** add writer id to creation messages ([66780c3](https://github.com/drivesoftware/messages/commit/66780c3))



## [2.93.0](https://github.com/drivesoftware/messages/compare/2.92.0...2.93.0) (2019-10-31)


### Features

* **audio:** create audio from copy ([#69](https://github.com/drivesoftware/messages/issues/69)) ([cc365f0](https://github.com/drivesoftware/messages/commit/cc365f0))



## [2.92.0](https://github.com/drivesoftware/messages/compare/2.91.5...2.92.0) (2019-10-30)


### Bug Fixes

* **contracts:** consolidate invoice notes update ([b05cedd](https://github.com/drivesoftware/messages/commit/b05cedd))


### Features

* **scheduling:** explicit duplicate contract command ([e1fa231](https://github.com/drivesoftware/messages/commit/e1fa231))



### [2.91.5](https://github.com/drivesoftware/messages/compare/2.91.4...2.91.5) (2019-10-28)


### Bug Fixes

* **client:** remove unused signalr marker ([#68](https://github.com/drivesoftware/messages/issues/68)) ([e1a300e](https://github.com/drivesoftware/messages/commit/e1a300e))



### [2.91.4](https://github.com/drivesoftware/messages/compare/2.91.3...2.91.4) (2019-10-22)


### Bug Fixes

* **client:** delete client contact events ([#67](https://github.com/drivesoftware/messages/issues/67)) ([3a95ba3](https://github.com/drivesoftware/messages/commit/3a95ba3))



### [2.91.3](https://github.com/drivesoftware/messages/compare/2.91.2...2.91.3) (2019-10-22)


### Bug Fixes

* **client:** client contact created events ([#66](https://github.com/drivesoftware/messages/issues/66)) ([c64759a](https://github.com/drivesoftware/messages/commit/c64759a))



### [2.91.2](https://github.com/drivesoftware/messages/compare/2.91.1...2.91.2) (2019-10-21)


### Bug Fixes

* **client:** client contact birthday is optional ([#65](https://github.com/drivesoftware/messages/issues/65)) ([4c7ec4c](https://github.com/drivesoftware/messages/commit/4c7ec4c))



### [2.91.1](https://github.com/drivesoftware/messages/compare/2.91.0...2.91.1) (2019-10-21)


### Bug Fixes

* **client:** consitent client event names ([#64](https://github.com/drivesoftware/messages/issues/64)) ([ffa4296](https://github.com/drivesoftware/messages/commit/ffa4296))



## [2.91.0](https://github.com/drivesoftware/messages/compare/2.90.0...2.91.0) (2019-10-15)


### Features

* **client:** client contact update commands ([#63](https://github.com/drivesoftware/messages/issues/63)) ([253e868](https://github.com/drivesoftware/messages/commit/253e868))



## [2.90.0](https://github.com/drivesoftware/messages/compare/2.89.5...2.90.0) (2019-10-07)


### Features

* **audio:** refactor audio cancellation ([#62](https://github.com/drivesoftware/messages/issues/62)) ([72d92a7](https://github.com/drivesoftware/messages/commit/72d92a7))



### [2.89.5](https://github.com/drivesoftware/messages/compare/2.89.4...2.89.5) (2019-10-03)


### Bug Fixes

* **client:** fix spelling mistakes in commands ([#61](https://github.com/drivesoftware/messages/issues/61)) ([5789be3](https://github.com/drivesoftware/messages/commit/5789be3))



### [2.89.4](https://github.com/drivesoftware/messages/compare/2.89.3...2.89.4) (2019-10-01)


### Bug Fixes

* **client:** split up client edit commands and events ([#60](https://github.com/drivesoftware/messages/issues/60)) ([37ccf13](https://github.com/drivesoftware/messages/commit/37ccf13))



### [2.89.3](https://github.com/drivesoftware/messages/compare/2.89.2...2.89.3) (2019-09-30)


### Bug Fixes

* **client:** rename and merge client change events ([#59](https://github.com/drivesoftware/messages/issues/59)) ([0609b1a](https://github.com/drivesoftware/messages/commit/0609b1a))



### [2.89.2](https://github.com/drivesoftware/messages/compare/2.89.1...2.89.2) (2019-09-25)


### Bug Fixes

* **events:** remove obsolete line duplicated event ([281e868](https://github.com/drivesoftware/messages/commit/281e868))



### [2.89.1](https://github.com/drivesoftware/messages/compare/2.89.0...2.89.1) (2019-09-24)


### Bug Fixes

* **client:** move website data to client summary events ([#58](https://github.com/drivesoftware/messages/issues/58)) ([c8edbe5](https://github.com/drivesoftware/messages/commit/c8edbe5))



## [2.89.0](https://github.com/drivesoftware/messages/compare/2.88.1...2.89.0) (2019-09-23)


### Features

* **scheduling:** add duplicate booking line command ([481ec3d](https://github.com/drivesoftware/messages/commit/481ec3d))



### [2.88.1](https://github.com/drivesoftware/messages/compare/2.88.0...2.88.1) (2019-09-17)


### Bug Fixes

* **client:** client update timestamp ([#57](https://github.com/drivesoftware/messages/issues/57)) ([6c5a800](https://github.com/drivesoftware/messages/commit/6c5a800))



## [2.88.0](https://github.com/drivesoftware/messages/compare/2.87.0...2.88.0) (2019-09-15)


### Features

* **client:** client update commands ([#56](https://github.com/drivesoftware/messages/issues/56)) ([668f84d](https://github.com/drivesoftware/messages/commit/668f84d))



## [2.87.0](https://github.com/drivesoftware/messages/compare/2.86.0...2.87.0) (2019-08-30)


### Features

* **review:** add commands and events ([#55](https://github.com/drivesoftware/messages/issues/55)) ([c779ade](https://github.com/drivesoftware/messages/commit/c779ade))



## [2.86.0](https://github.com/drivesoftware/messages/compare/2.85.0...2.86.0) (2019-07-22)


### Features

* **audio:** add removed from sequence event ([47fc0eb](https://github.com/drivesoftware/messages/commit/47fc0eb))



## [2.85.0](https://github.com/drivesoftware/messages/compare/2.84.1...2.85.0) (2019-07-14)


### Features

* **audio-sequence:** messages for audio removal and cancellation ([#54](https://github.com/drivesoftware/messages/issues/54)) ([8df3cd8](https://github.com/drivesoftware/messages/commit/8df3cd8))



### [2.84.1](https://github.com/drivesoftware/messages/compare/2.84.0...2.84.1) (2019-07-13)



## [2.84.0](https://github.com/drivesoftware/messages/compare/2.83.1...2.84.0) (2019-07-12)


### Features

* **script-writing:** move writing sequence management to scheduling ([#53](https://github.com/drivesoftware/messages/issues/53)) ([9b12fdc](https://github.com/drivesoftware/messages/commit/9b12fdc))



### [2.83.1](https://github.com/drivesoftware/messages/compare/2.83.0...2.83.1) (2019-07-03)


### Bug Fixes

* **script-writing:** remove unused start process commands ([4cb968c](https://github.com/drivesoftware/messages/commit/4cb968c))



## [2.83.0](https://github.com/drivesoftware/messages/compare/2.82.1...2.83.0) (2019-07-03)


### Features

* **script-writing:** support for revision of individual documents ([e52742b](https://github.com/drivesoftware/messages/commit/e52742b))



### [2.82.1](https://github.com/drivesoftware/messages/compare/2.82.0...2.82.1) (2019-06-27)



## [2.82.0](https://github.com/drivesoftware/messages/compare/2.81.0...2.82.0) (2019-06-20)


### Features

* **instructing:** messages for copy audio lines to contract ([dbce9a2](https://github.com/drivesoftware/messages/commit/dbce9a2))



## [2.81.0](https://github.com/drivesoftware/messages/compare/2.80.0...2.81.0) (2019-06-16)


### Features

* **audio-brief:** add events for audio brief changes ([4d0677d](https://github.com/drivesoftware/messages/commit/4d0677d))



## 2.80.0 (2019-06-14)


### Features

* **document:** add commands and events ([#51](https://github.com/drivesoftware/messages/issues/51)) ([032e439](https://github.com/drivesoftware/messages/commit/032e439))



## 2.79.0 (2019-06-13)


### Features

* **audio-lines:** add audio line events ([091545f](https://github.com/drivesoftware/messages/commit/091545f))



## 2.78.0 (2019-06-13)


### Features

* **audio-lines:** add station brand id for create and change ([9eae585](https://github.com/drivesoftware/messages/commit/9eae585))



### 2.77.2 (2019-06-06)



### 2.77.1 (2019-06-06)



## 2.77.0 (2019-06-03)


### Features

* **scheduling:** assign audio producer messages ([#50](https://github.com/drivesoftware/messages/issues/50)) ([d71c380](https://github.com/drivesoftware/messages/commit/d71c380))



## 2.76.0 (2019-05-31)


### Features

* **audio:** add messages for playback ref purge ([df4a5ee](https://github.com/drivesoftware/messages/commit/df4a5ee))



### 2.75.1 (2019-05-30)


### Bug Fixes

* **audio:** revised and change out audio may not have voice ([f1479fc](https://github.com/drivesoftware/messages/commit/f1479fc))



## 2.75.0 (2019-05-29)


### Features

* **audio:** add support for main voice ([e58bfca](https://github.com/drivesoftware/messages/commit/e58bfca))



## 2.74.0 (2019-05-27)


### Features

* **audio:** audio playback reference changes apply directly ([#49](https://github.com/drivesoftware/messages/issues/49)) ([8e75689](https://github.com/drivesoftware/messages/commit/8e75689))



### 2.73.1 (2019-05-27)



## 2.73.0 (2019-05-27)


### Features

* **search:** replace client search term with client id ([2b6276d](https://github.com/drivesoftware/messages/commit/2b6276d))



### 2.72.1 (2019-05-22)


### Bug Fixes

* **audio:** add missing properties to agency messages ([f94adcf](https://github.com/drivesoftware/messages/commit/f94adcf))



## 2.72.0 (2019-05-22)


### Features

* **audio:** add additional messages for airmail ([f3afa30](https://github.com/drivesoftware/messages/commit/f3afa30))



### 2.71.2 (2019-05-22)


### Bug Fixes

* **instructing:** add airmail fields for audio lines ([1dce6a3](https://github.com/drivesoftware/messages/commit/1dce6a3))



### 2.71.1 (2019-05-21)



## 2.71.0 (2019-05-16)


### Features

* **audio:** audio playback reference events ([#45](https://github.com/drivesoftware/messages/issues/45)) ([175d17d](https://github.com/drivesoftware/messages/commit/175d17d))



### 2.70.1 (2019-05-16)


### Bug Fixes

* **audio:** allow content for event aggregator messages ([#43](https://github.com/drivesoftware/messages/issues/43)) ([95968f4](https://github.com/drivesoftware/messages/commit/95968f4))



## 2.70.0 (2019-05-14)


### Features

* **audio:** reset audio playback reference event ([#42](https://github.com/drivesoftware/messages/issues/42)) ([cbb732f](https://github.com/drivesoftware/messages/commit/cbb732f))



## 2.69.0 (2019-05-12)


### Features

* **audio-brief:** add connect to contract messages ([1523fe7](https://github.com/drivesoftware/messages/commit/1523fe7))



### 2.68.1 (2019-05-09)


### Bug Fixes

* **instructing:** move namespace of reset play count command ([765d29e](https://github.com/drivesoftware/messages/commit/765d29e))



## 2.68.0 (2019-05-08)


### Features

* **audio:** ability to detach audio ([#41](https://github.com/drivesoftware/messages/issues/41)) ([4c47f35](https://github.com/drivesoftware/messages/commit/4c47f35))



## 2.67.0 (2019-05-08)


### Features

* **audio-brief:** supply due dates for creation and edit ([e782782](https://github.com/drivesoftware/messages/commit/e782782))



## 2.66.0 (2019-05-02)


### Features

* **search:** add change client search term commands ([96df718](https://github.com/drivesoftware/messages/commit/96df718))



### 2.65.1 (2019-04-28)



## 2.65.0 (2019-04-24)


### Features

* **printing:** print script commands ([#39](https://github.com/drivesoftware/messages/issues/39)) ([2493ffc](https://github.com/drivesoftware/messages/commit/2493ffc))



### 2.64.1 (2019-04-24)


### Bug Fixes

* **audio-brief:** rollback to eight separte fields for requirement ([#38](https://github.com/drivesoftware/messages/issues/38)) ([31b66ac](https://github.com/drivesoftware/messages/commit/31b66ac))



## 2.64.0 (2019-04-10)


### Features

* **reporting:** add new remove report favourite command ([#37](https://github.com/drivesoftware/messages/issues/37)) ([3da41df](https://github.com/drivesoftware/messages/commit/3da41df))



### 2.63.1 (2019-04-02)



## 2.63.0 (2019-04-02)


### Features

* **creative:** add optional writer id to create brief command ([f8190ab](https://github.com/drivesoftware/messages/commit/f8190ab))



## 2.62.0 (2019-03-25)


### Features

* **script:** add change audio draft commands and events ([#35](https://github.com/drivesoftware/messages/issues/35)) ([e86e514](https://github.com/drivesoftware/messages/commit/e86e514))



## 2.61.0 (2019-03-19)


### Features

* **scheduling:** add attach validate and rename to instructing ([6584a25](https://github.com/drivesoftware/messages/commit/6584a25))



## 2.60.0 (2019-03-17)


### Features

* **audio-line:** add delete audio line command ([646794b](https://github.com/drivesoftware/messages/commit/646794b))



## 2.59.0 (2019-03-14)


### Features

* **creative:** add audio brief archived event ([80b073f](https://github.com/drivesoftware/messages/commit/80b073f))



## 2.58.0 (2019-03-14)


### Features

* **creative:** add archive audio brief command ([59cd5ef](https://github.com/drivesoftware/messages/commit/59cd5ef))



### 2.57.1 (2019-03-03)


### Bug Fixes

* **scheduling:** follow convention for time property names ([bce4873](https://github.com/drivesoftware/messages/commit/bce4873))



## 2.57.0 (2019-03-02)


### Features

* **scheduling:** add time restriction fields for audio line ([50645e5](https://github.com/drivesoftware/messages/commit/50645e5))



## 2.56.0 (2019-02-22)


### Features

* **creative:** add commands and events ([#34](https://github.com/drivesoftware/messages/issues/34)) ([823ffeb](https://github.com/drivesoftware/messages/commit/823ffeb))



### 2.55.1 (2019-02-12)



## 2.55.0 (2019-02-07)


### Features

* **creative:** consolidate brief requirement fields ([#33](https://github.com/drivesoftware/messages/issues/33)) ([02a9e55](https://github.com/drivesoftware/messages/commit/02a9e55))



### 2.54.5 (2019-01-24)


### Bug Fixes

* **reporting:** remove uninstructed commands and events ([#32](https://github.com/drivesoftware/messages/issues/32)) ([9603f71](https://github.com/drivesoftware/messages/commit/9603f71))



### 2.54.4 (2019-01-22)


### Bug Fixes

* **reporting:** fix uninstructed report response ([#31](https://github.com/drivesoftware/messages/issues/31)) ([da35533](https://github.com/drivesoftware/messages/commit/da35533))



### 2.54.3 (2019-01-21)



### 2.54.2 (2019-01-20)


### Bug Fixes

* **reporting:** fix namespace for reporting ([#29](https://github.com/drivesoftware/messages/issues/29)) ([a0b6fcd](https://github.com/drivesoftware/messages/commit/a0b6fcd))



### 2.54.1 (2019-01-18)


### Bug Fixes

* **reporting:** add command and events for favourite reports ([#28](https://github.com/drivesoftware/messages/issues/28)) ([f0fe572](https://github.com/drivesoftware/messages/commit/f0fe572))



## 2.54.0 (2019-01-17)


### Features

* **reporting:** add RunUninstructedReport command ([#27](https://github.com/drivesoftware/messages/issues/27)) ([0a617e0](https://github.com/drivesoftware/messages/commit/0a617e0))



### 2.53.11 (2018-12-12)


### Bug Fixes

* **audio:** audio length is an integer ([#26](https://github.com/drivesoftware/messages/issues/26)) ([bacb9cf](https://github.com/drivesoftware/messages/commit/bacb9cf))



### 2.53.10 (2018-12-12)


### Bug Fixes

* **audio:** mandatory audio dates ([#25](https://github.com/drivesoftware/messages/issues/25)) ([1e43bd9](https://github.com/drivesoftware/messages/commit/1e43bd9))



### 2.53.9 (2018-12-12)


### Bug Fixes

* **audio:** add audio arrangement ids ([#24](https://github.com/drivesoftware/messages/issues/24)) ([f1db4a6](https://github.com/drivesoftware/messages/commit/f1db4a6))



### 2.53.8 (2018-12-10)


### Bug Fixes

* **audio:** add id to playback reference command ([#23](https://github.com/drivesoftware/messages/issues/23)) ([75d5a27](https://github.com/drivesoftware/messages/commit/75d5a27))



### 2.53.7 (2018-12-10)


### Bug Fixes

* **audio:** change and save new audio playback reference ([#22](https://github.com/drivesoftware/messages/issues/22)) ([dcea63e](https://github.com/drivesoftware/messages/commit/dcea63e))



### 2.53.6 (2018-12-10)


### Bug Fixes

* **audio:** change audio edit command ([#21](https://github.com/drivesoftware/messages/issues/21)) ([0b8de6c](https://github.com/drivesoftware/messages/commit/0b8de6c))



### 2.53.5 (2018-12-04)


### Bug Fixes

* **audio:** make creating an audio less restrictive ([#20](https://github.com/drivesoftware/messages/issues/20)) ([3050988](https://github.com/drivesoftware/messages/commit/3050988))



### 2.53.4 (2018-12-04)


### Bug Fixes

* **audio:** one event per property change ([#19](https://github.com/drivesoftware/messages/issues/19)) ([04fe255](https://github.com/drivesoftware/messages/commit/04fe255))



### 2.53.3 (2018-12-03)


### Bug Fixes

* **audio:** make audio changed event client optional ([#18](https://github.com/drivesoftware/messages/issues/18)) ([46d1c32](https://github.com/drivesoftware/messages/commit/46d1c32))



### 2.53.2 (2018-11-30)


### Bug Fixes

* **audio:** add audio changed event ([#17](https://github.com/drivesoftware/messages/issues/17)) ([872a227](https://github.com/drivesoftware/messages/commit/872a227))



### 2.53.1 (2018-11-30)


### Bug Fixes

* **audio:** correct location of edit audio command ([#16](https://github.com/drivesoftware/messages/issues/16)) ([3b11b55](https://github.com/drivesoftware/messages/commit/3b11b55))



## 2.53.0 (2018-11-30)


### Features

* **audio:** add edit audio command ([#15](https://github.com/drivesoftware/messages/issues/15)) ([d6a24ab](https://github.com/drivesoftware/messages/commit/d6a24ab))



## 2.52.0 (2018-11-29)


### Features

* **audio:** add create audio arrangement event ([#14](https://github.com/drivesoftware/messages/issues/14)) ([c00adcb](https://github.com/drivesoftware/messages/commit/c00adcb))



## 2.51.0 (2018-11-27)


### Features

* **audio:** add create audio command ([#13](https://github.com/drivesoftware/messages/issues/13)) ([6219790](https://github.com/drivesoftware/messages/commit/6219790))



### 2.50.1 (2018-11-23)


### Bug Fixes

* **rate-card:** add commands for rate card removal ([c307a3f](https://github.com/drivesoftware/messages/commit/c307a3f))



## 2.50.0 (2018-11-20)


### Features

* **scheduling:** add audio line create command ([83251d1](https://github.com/drivesoftware/messages/commit/83251d1))



### 2.49.4 (2018-11-19)



### 2.49.3 (2018-11-14)



### 2.49.2 (2018-11-11)


### Bug Fixes

* **creative:** add version id to change out created ([a800060](https://github.com/drivesoftware/messages/commit/a800060))



### 2.49.1 (2018-11-11)


### Bug Fixes

* **creative:** dictionary must be concrete type in message defintion ([f677324](https://github.com/drivesoftware/messages/commit/f677324))



## 2.49.0 (2018-11-11)


### Features

* **scheduling:** add audio events ([21529d7](https://github.com/drivesoftware/messages/commit/21529d7))



## 2.48.0 (2018-11-11)


### Bug Fixes

* **scheduler:** add options to schedule spots command ([2ef5f52](https://github.com/drivesoftware/messages/commit/2ef5f52))


### Features

* **creative:** add script writing events ([ee06a3e](https://github.com/drivesoftware/messages/commit/ee06a3e))



## 2.47.0 (2018-10-29)


### Features

* **rate-card:** add rate card messages ([7135690](https://github.com/drivesoftware/messages/commit/7135690))
* **scheduling:** add change audio line command ([#12](https://github.com/drivesoftware/messages/issues/12)) ([783c855](https://github.com/drivesoftware/messages/commit/783c855))



## 2.46.0 (2018-09-27)


### Features

* **audio-brief:** consolidate brief creation commands ([39b28be](https://github.com/drivesoftware/messages/commit/39b28be))



### 2.45.4 (2018-09-26)



### 2.45.3 (2018-09-18)



### 2.45.2 (2018-09-18)



### 2.45.1 (2018-09-18)



## 2.45.0 (2018-09-14)


### Features

* **audio-brief:** create audio brief via the ux ([#11](https://github.com/drivesoftware/messages/issues/11)) ([67537b8](https://github.com/drivesoftware/messages/commit/67537b8))



### 2.44.1 (2018-09-12)


### Bug Fixes

* **creative:** script commands should target arrangement ([20d935d](https://github.com/drivesoftware/messages/commit/20d935d))



## 2.44.0 (2018-09-06)


### Features

* **commands:** add audio brief task commands ([#10](https://github.com/drivesoftware/messages/issues/10)) ([a9f8d48](https://github.com/drivesoftware/messages/commit/a9f8d48))



### 2.43.2 (2018-09-03)



### 2.43.1 (2018-08-30)



## 2.43.0 (2018-08-30)


### Features

* **commands:** add script arrangement commands ([e4be839](https://github.com/drivesoftware/messages/commit/e4be839))



### 2.42.14 (2018-08-23)



### 2.42.13 (2018-08-20)



### 2.42.12 (2018-08-17)



### 2.42.11 (2018-08-16)



### 2.42.10 (2018-08-16)



### 2.42.9 (2018-08-15)



### 2.42.8 (2018-08-14)



### 2.42.7 (2018-08-14)



### 2.42.6 (2018-08-10)


### Bug Fixes

* **audio-brief:** separate creation for client and for contract ([2c28679](https://github.com/drivesoftware/messages/commit/2c28679))



### 2.42.5 (2018-08-10)


### Bug Fixes

* **audio-brief:** remove unecessary event and fix namespace ([affc81c](https://github.com/drivesoftware/messages/commit/affc81c))



### 2.42.4 (2018-08-08)


### Bug Fixes

* **audio-brief:** add active property to edit command ([15924d9](https://github.com/drivesoftware/messages/commit/15924d9))



### 2.42.3 (2018-08-03)


### Bug Fixes

* **audio-brief:** remove unnecessary commands ([6bb8df3](https://github.com/drivesoftware/messages/commit/6bb8df3))



### 2.42.2 (2018-07-30)


### Bug Fixes

* **audio-brief:** make writer and producer ids optional ([cdde963](https://github.com/drivesoftware/messages/commit/cdde963))



### 2.42.1 (2018-07-30)


### Bug Fixes

* **audio-brief:** add all fields to edit audio brief command ([be075b2](https://github.com/drivesoftware/messages/commit/be075b2))



## 2.42.0 (2018-07-30)


### Features

* **audio-brief:** restructure and add commands for modification ([a1c83cf](https://github.com/drivesoftware/messages/commit/a1c83cf))



### 2.41.6 (2018-07-24)



### 2.41.5 (2018-07-23)


### Bug Fixes

* **audiobrief:** creation should not require account manager ([a0758e8](https://github.com/drivesoftware/messages/commit/a0758e8))



### 2.41.4 (2018-07-22)


### Bug Fixes

* **audiobrief:** make brief contract changed contract id optional ([8dbbca8](https://github.com/drivesoftware/messages/commit/8dbbca8))



### 2.41.3 (2018-07-22)


### Bug Fixes

* **audiobrief:** make brief contract changed contract id optional ([18b3ab4](https://github.com/drivesoftware/messages/commit/18b3ab4))



### 2.41.2 (2018-07-19)


### Bug Fixes

* **event:** add correlated marker to brief contract changed event ([2e1cc7d](https://github.com/drivesoftware/messages/commit/2e1cc7d))



### 2.41.1 (2018-07-19)


### Bug Fixes

* **command:** add audio bried id to change contract command ([6f10ab7](https://github.com/drivesoftware/messages/commit/6f10ab7))



## 2.41.0 (2018-07-13)


### Features

* **all:** add brief contract change messages ([869eb40](https://github.com/drivesoftware/messages/commit/869eb40))



### 2.40.1 (2018-06-12)


### Bug Fixes

* **audiobrief:** contract id is optional for canceling audio brief ([#9](https://github.com/drivesoftware/messages/issues/9)) ([b11df82](https://github.com/drivesoftware/messages/commit/b11df82))



## 2.40.0 (2018-06-11)


### Features

* **audiobrief:** allow audio briefs to be disconnected from any contract ([#8](https://github.com/drivesoftware/messages/issues/8)) ([8ce27e8](https://github.com/drivesoftware/messages/commit/8ce27e8))



### 2.39.1 (2018-05-08)



## 2.39.0 (2018-05-08)


### Features

* **notifications:** add dismiss notification command ([731b09d](https://github.com/drivesoftware/messages/commit/731b09d))



### 2.38.2 (2018-05-04)



### 2.38.1 (2018-05-03)



## 2.38.0 (2018-04-30)


### Features

* **workload-management:** add commands and events ([#5](https://github.com/drivesoftware/messages/issues/5)) ([1d018b1](https://github.com/drivesoftware/messages/commit/1d018b1))



## 2.37.0 (2018-04-19)


### Features

* **event:** add producer assigned event ([b4d2c6f](https://github.com/drivesoftware/messages/commit/b4d2c6f))



### 2.36.1 (2018-03-22)



## 2.36.0 (2018-03-13)


### Features

* **creative-board:** add board task commands and events  ([0fb530c](https://github.com/drivesoftware/messages/commit/0fb530c))



### 2.35.9 (2018-02-15)



### 2.35.8 (2018-02-14)



### 2.35.7 (2018-02-04)


### Bug Fixes

* **event:** remove unecessary property ([e7c8e96](https://github.com/drivesoftware/messages/commit/e7c8e96))



### 2.35.6 (2017-12-04)


### Bug Fixes

* **notification-commands:** change line id type to guid ([5334f75](https://github.com/drivesoftware/messages/commit/5334f75))



### 2.35.5 (2017-12-04)


### Bug Fixes

* **events:** change line ids to guid ([1ecd41f](https://github.com/drivesoftware/messages/commit/1ecd41f))



### 2.35.4 (2017-12-04)


### Bug Fixes

* **events:** change line ids to guid ([f3e6000](https://github.com/drivesoftware/messages/commit/f3e6000))



### 2.35.3 (2017-12-04)


### Bug Fixes

* **commands:** guid for booking line id type ([4721e25](https://github.com/drivesoftware/messages/commit/4721e25))



### 2.35.2 (2017-12-04)


### Bug Fixes

* **spot-changes:** nullable combo id ([007344b](https://github.com/drivesoftware/messages/commit/007344b))



### 2.35.1 (2017-12-04)


### Bug Fixes

* **bookingline:** guid type id ([f6b5c02](https://github.com/drivesoftware/messages/commit/f6b5c02))



## 2.35.0 (2017-12-04)


### Features

* **domain-event:** refactor to generic domain event ([29866cc](https://github.com/drivesoftware/messages/commit/29866cc))



### 2.34.2 (2017-11-07)



### 2.34.1 (2017-10-02)



## 2.34.0 (2017-09-22)


### Features

* **project:** update project structure to vs2017 ([#1](https://github.com/drivesoftware/messages/issues/1)) ([ca0b319](https://github.com/drivesoftware/messages/commit/ca0b319))



## 2.33.0 (2017-09-20)


### Features

* **event:** add audio brief id to cancelled event ([44b13b7](https://github.com/drivesoftware/messages/commit/44b13b7)), closes [drivesoftware/backlog#613](https://github.com/drivesoftware/messages/issues/613)



### 2.32.3 (2017-09-15)


### Bug Fixes

* **package-reference:** allowed version range for drive.common ([dbb3d06](https://github.com/drivesoftware/messages/commit/dbb3d06))



### 2.32.2 (2017-09-15)


### Bug Fixes

* **package-reference:** allowed version range for drive.common ([6d82762](https://github.com/drivesoftware/messages/commit/6d82762))



### 2.32.1 (2017-09-15)


### Bug Fixes

* **package-reference:** allowed version range for drive.common ([a7f480f](https://github.com/drivesoftware/messages/commit/a7f480f))



## 2.32.0 (2017-09-13)


### Features

* **proposal-created:** add code and clientid ([435f4b4](https://github.com/drivesoftware/messages/commit/435f4b4)), closes [drivesoftware/backlog#586](https://github.com/drivesoftware/messages/issues/586)



## 2.31.0 (2017-08-18)


### Features

* **event:** move oversell satisfied event to sales ([86f98f4](https://github.com/drivesoftware/messages/commit/86f98f4))



### 2.30.2 (2017-07-28)



### 2.30.1 (2017-07-25)



## 2.30.0 (2017-07-24)


### Features

* **event:** add agreement already live event ([05fc5b3](https://github.com/drivesoftware/messages/commit/05fc5b3)), closes [drivesoftware/backlog#572](https://github.com/drivesoftware/messages/issues/572)



# [2.79.0](https://github.com/drivesoftware/messages/compare/2.78.0...2.79.0) (2019-06-13)


### Features

* **audio-lines:** add audio line events ([091545f](https://github.com/drivesoftware/messages/commit/091545f))



# [2.78.0](https://github.com/drivesoftware/messages/compare/2.77.2...2.78.0) (2019-06-13)


### Features

* **audio-lines:** add station brand id for create and change ([9eae585](https://github.com/drivesoftware/messages/commit/9eae585))



## [2.77.2](https://github.com/drivesoftware/messages/compare/2.77.1...2.77.2) (2019-06-06)



## [2.77.1](https://github.com/drivesoftware/messages/compare/2.77.0...2.77.1) (2019-06-06)



<a name="2.77.0"></a>
# [2.77.0](https://github.com/drivesoftware/messages/compare/2.76.0...2.77.0) (2019-06-03)


### Features

* **scheduling:** assign audio producer messages ([#50](https://github.com/drivesoftware/messages/issues/50)) ([d71c380](https://github.com/drivesoftware/messages/commit/d71c380))



<a name="2.73.1"></a>
## [2.73.1](https://github.com/drivesoftware/messages/compare/2.73.0...2.73.1) (2019-05-27)



<a name="2.73.0"></a>
# [2.73.0](https://github.com/drivesoftware/messages/compare/2.72.1...2.73.0) (2019-05-27)	


### Features	

* **search:** replace client search term with client id ([2b6276d](https://github.com/drivesoftware/messages/commit/2b6276d))	



<a name="2.72.1"></a>
## [2.72.1](https://github.com/drivesoftware/messages/compare/2.72.0...2.72.1) (2019-05-22)	


### Bug Fixes	

* **audio:** add missing properties to agency messages ([f94adcf](https://github.com/drivesoftware/messages/commit/f94adcf))	



<a name="2.72.0"></a>
# [2.72.0](https://github.com/drivesoftware/messages/compare/2.71.2...2.72.0) (2019-05-22)	


### Features	

* **audio:** add additional messages for airmail ([f3afa30](https://github.com/drivesoftware/messages/commit/f3afa30))	



<a name="2.71.2"></a>
## [2.71.2](https://github.com/drivesoftware/messages/compare/2.71.1...2.71.2) (2019-05-22)	


### Bug Fixes	

* **instructing:** add airmail fields for audio lines ([1dce6a3](https://github.com/drivesoftware/messages/commit/1dce6a3))




<a name="2.71.1"></a>
## [2.71.1](https://github.com/drivesoftware/messages/compare/2.71.0...2.71.1) (2019-05-21)



<a name="2.71.0"></a>
# [2.71.0](https://github.com/drivesoftware/messages/compare/2.70.1...2.71.0) (2019-05-16)


### Features

* **audio:** audio playback reference events ([#45](https://github.com/drivesoftware/messages/issues/45)) ([175d17d](https://github.com/drivesoftware/messages/commit/175d17d))



<a name="2.70.1"></a>
## [2.70.1](https://github.com/drivesoftware/messages/compare/2.70.0...2.70.1) (2019-05-16)


### Bug Fixes

* **audio:** allow content for event aggregator messages ([#43](https://github.com/drivesoftware/messages/issues/43)) ([95968f4](https://github.com/drivesoftware/messages/commit/95968f4))



<a name="2.70.0"></a>
# [2.70.0](https://github.com/drivesoftware/messages/compare/2.69.0...2.70.0) (2019-05-14)


### Features

* **audio:** reset audio playback reference event ([#42](https://github.com/drivesoftware/messages/issues/42)) ([cbb732f](https://github.com/drivesoftware/messages/commit/cbb732f))



<a name="2.68.0"></a>
# [2.68.0](https://github.com/drivesoftware/messages/compare/2.67.0...2.68.0) (2019-05-08)


### Features

* **audio:** ability to detach audio ([#41](https://github.com/drivesoftware/messages/issues/41)) ([4c47f35](https://github.com/drivesoftware/messages/commit/4c47f35))



<a name="2.65.1"></a>
## [2.65.1](https://github.com/drivesoftware/messages/compare/2.65.0...2.65.1) (2019-04-28)



<a name="2.65.0"></a>
# [2.65.0](https://github.com/drivesoftware/messages/compare/2.64.1...2.65.0) (2019-04-24)


### Features

* **printing:** print script commands ([#39](https://github.com/drivesoftware/messages/issues/39)) ([2493ffc](https://github.com/drivesoftware/messages/commit/2493ffc))



<a name="2.64.0"></a>
# [2.64.0](https://github.com/drivesoftware/messages/compare/2.63.1...2.64.0) (2019-04-10)


### Features

* **reporting:** add new remove report favourite command ([#37](https://github.com/drivesoftware/messages/issues/37)) ([3da41df](https://github.com/drivesoftware/messages/commit/3da41df))



<a name="2.63.1"></a>
## [2.63.1](https://github.com/drivesoftware/messages/compare/2.63.0...2.63.1) (2019-04-02)



<a name="2.62.0"></a>
# [2.62.0](https://github.com/drivesoftware/messages/compare/2.61.0...2.62.0) (2019-03-25)


### Features

* **script:** add change audio draft commands and events ([#35](https://github.com/drivesoftware/messages/issues/35)) ([e86e514](https://github.com/drivesoftware/messages/commit/e86e514))



<a name="2.60.0"></a>
# [2.60.0](https://github.com/drivesoftware/messages/compare/2.59.0...v2.60.0) (2019-03-17)


### Features

* **audio-line:** add delete audio line command ([646794b](https://github.com/drivesoftware/messages/commit/646794b))



<a name="2.57.1"></a>
## [2.57.1](https://github.com/drivesoftware/messages/compare/2.57.0...v2.57.1) (2019-03-03)


### Bug Fixes

* **scheduling:** follow convention for time property names ([bce4873](https://github.com/drivesoftware/messages/commit/bce4873))



<a name="2.57.0"></a>
# [2.57.0](https://github.com/drivesoftware/messages/compare/2.56.0...v2.57.0) (2019-03-02)


### Features

* **scheduling:** add time restriction fields for audio line ([50645e5](https://github.com/drivesoftware/messages/commit/50645e5))



<a name="2.56.0"></a>
# [2.56.0](https://github.com/drivesoftware/messages/compare/2.55.1...2.56.0) (2019-02-22)


### Features

* **creative:** add commands and events ([#34](https://github.com/drivesoftware/messages/issues/34)) ([823ffeb](https://github.com/drivesoftware/messages/commit/823ffeb))



<a name="2.55.1"></a>
## [2.55.1](https://github.com/drivesoftware/messages/compare/2.55.0...v2.55.1) (2019-02-12)



<a name="2.55.0"></a>
# [2.55.0](https://github.com/drivesoftware/messages/compare/2.54.5...v2.55.0) (2019-02-07)


### Features

* **creative:** consolidate brief requirement fields ([#33](https://github.com/drivesoftware/messages/issues/33)) ([02a9e55](https://github.com/drivesoftware/messages/commit/02a9e55))



<a name="2.54.5"></a>
## [2.54.5](https://github.com/drivesoftware/messages/compare/2.54.4...2.54.5) (2019-01-24)


### Bug Fixes

* **reporting:** remove uninstructed commands and events ([#32](https://github.com/drivesoftware/messages/issues/32)) ([9603f71](https://github.com/drivesoftware/messages/commit/9603f71))



<a name="2.54.4"></a>
## [2.54.4](https://github.com/drivesoftware/messages/compare/2.54.3...2.54.4) (2019-01-22)


### Bug Fixes

* **reporting:** fix uninstructed report response ([#31](https://github.com/drivesoftware/messages/issues/31)) ([da35533](https://github.com/drivesoftware/messages/commit/da35533))



<a name="2.54.3"></a>
## [2.54.3](https://github.com/drivesoftware/messages/compare/2.54.2...2.54.3) (2019-01-21)



<a name="2.54.2"></a>
## [2.54.2](https://github.com/drivesoftware/messages/compare/2.54.1...2.54.2) (2019-01-20)


### Bug Fixes

* **reporting:** fix namespace for reporting ([#29](https://github.com/drivesoftware/messages/issues/29)) ([a0b6fcd](https://github.com/drivesoftware/messages/commit/a0b6fcd))



<a name="2.54.1"></a>
## [2.54.1](https://github.com/drivesoftware/messages/compare/2.54.0...2.54.1) (2019-01-18)


### Bug Fixes

* **reporting:** add command and events for favourite reports ([#28](https://github.com/drivesoftware/messages/issues/28)) ([f0fe572](https://github.com/drivesoftware/messages/commit/f0fe572))



<a name="2.54.0"></a>
# [2.54.0](https://github.com/drivesoftware/messages/compare/2.53.11...2.54.0) (2019-01-17)


### Features

* **reporting:** add RunUninstructedReport command ([#27](https://github.com/drivesoftware/messages/issues/27)) ([0a617e0](https://github.com/drivesoftware/messages/commit/0a617e0))



<a name="2.53.11"></a>
## [2.53.11](https://github.com/drivesoftware/messages/compare/2.53.10...2.53.11) (2018-12-12)


### Bug Fixes

* **audio:** audio length is an integer ([#26](https://github.com/drivesoftware/messages/issues/26)) ([bacb9cf](https://github.com/drivesoftware/messages/commit/bacb9cf))



<a name="2.53.10"></a>
## [2.53.10](https://github.com/drivesoftware/messages/compare/2.53.9...2.53.10) (2018-12-12)


### Bug Fixes

* **audio:** mandatory audio dates ([#25](https://github.com/drivesoftware/messages/issues/25)) ([1e43bd9](https://github.com/drivesoftware/messages/commit/1e43bd9))



<a name="2.53.9"></a>
## [2.53.9](https://github.com/drivesoftware/messages/compare/2.53.8...2.53.9) (2018-12-12)


### Bug Fixes

* **audio:** add audio arrangement ids ([#24](https://github.com/drivesoftware/messages/issues/24)) ([f1db4a6](https://github.com/drivesoftware/messages/commit/f1db4a6))



<a name="2.53.8"></a>
## [2.53.8](https://github.com/drivesoftware/messages/compare/2.53.7...2.53.8) (2018-12-10)


### Bug Fixes

* **audio:** add id to playback reference command ([#23](https://github.com/drivesoftware/messages/issues/23)) ([75d5a27](https://github.com/drivesoftware/messages/commit/75d5a27))



<a name="2.53.7"></a>
## [2.53.7](https://github.com/drivesoftware/messages/compare/2.53.6...2.53.7) (2018-12-10)


### Bug Fixes

* **audio:** change and save new audio playback reference ([#22](https://github.com/drivesoftware/messages/issues/22)) ([dcea63e](https://github.com/drivesoftware/messages/commit/dcea63e))



<a name="2.53.6"></a>
## [2.53.6](https://github.com/drivesoftware/messages/compare/2.53.5...2.53.6) (2018-12-10)


### Bug Fixes

* **audio:** change audio edit command ([#21](https://github.com/drivesoftware/messages/issues/21)) ([0b8de6c](https://github.com/drivesoftware/messages/commit/0b8de6c))



<a name="2.53.5"></a>
## [2.53.5](https://github.com/drivesoftware/messages/compare/2.53.4...2.53.5) (2018-12-04)


### Bug Fixes

* **audio:** make creating an audio less restrictive ([#20](https://github.com/drivesoftware/messages/issues/20)) ([3050988](https://github.com/drivesoftware/messages/commit/3050988))



<a name="2.53.4"></a>
## [2.53.4](https://github.com/drivesoftware/messages/compare/2.53.3...2.53.4) (2018-12-04)


### Bug Fixes

* **audio:** one event per property change ([#19](https://github.com/drivesoftware/messages/issues/19)) ([04fe255](https://github.com/drivesoftware/messages/commit/04fe255))



<a name="2.53.3"></a>
## [2.53.3](https://github.com/drivesoftware/messages/compare/2.53.2...2.53.3) (2018-12-03)


### Bug Fixes

* **audio:** make audio changed event client optional ([#18](https://github.com/drivesoftware/messages/issues/18)) ([46d1c32](https://github.com/drivesoftware/messages/commit/46d1c32))



<a name="2.53.2"></a>
## [2.53.2](https://github.com/drivesoftware/messages/compare/2.53.1...2.53.2) (2018-11-30)


### Bug Fixes

* **audio:** add audio changed event ([#17](https://github.com/drivesoftware/messages/issues/17)) ([872a227](https://github.com/drivesoftware/messages/commit/872a227))



<a name="2.53.1"></a>
## [2.53.1](https://github.com/drivesoftware/messages/compare/2.53.0...2.53.1) (2018-11-30)


### Bug Fixes

* **audio:** correct location of edit audio command ([#16](https://github.com/drivesoftware/messages/issues/16)) ([3b11b55](https://github.com/drivesoftware/messages/commit/3b11b55))



<a name="2.53.0"></a>
# [2.53.0](https://github.com/drivesoftware/messages/compare/2.52.0...2.53.0) (2018-11-30)


### Features

* **audio:** add edit audio command ([#15](https://github.com/drivesoftware/messages/issues/15)) ([d6a24ab](https://github.com/drivesoftware/messages/commit/d6a24ab))



<a name="2.52.0"></a>
# [2.52.0](https://github.com/drivesoftware/messages/compare/2.51.0...2.52.0) (2018-11-29)


### Features

* **audio:** add create audio arrangement event ([#14](https://github.com/drivesoftware/messages/issues/14)) ([c00adcb](https://github.com/drivesoftware/messages/commit/c00adcb))



<a name="2.51.0"></a>
# [2.51.0](https://github.com/drivesoftware/messages/compare/2.50.1...2.51.0) (2018-11-27)


### Features

* **audio:** add create audio command ([#13](https://github.com/drivesoftware/messages/issues/13)) ([6219790](https://github.com/drivesoftware/messages/commit/6219790))



<a name="2.50.1"></a>
## [2.50.1](https://github.com/drivesoftware/messages/compare/2.50.0...v2.50.1) (2018-11-23)


### Bug Fixes

* **rate-card:** add commands for rate card removal ([c307a3f](https://github.com/drivesoftware/messages/commit/c307a3f))



<a name="2.50.0"></a>
# [2.50.0](https://github.com/drivesoftware/messages/compare/2.49.4...2.50.0) (2018-11-20)


### Features

* **scheduling:** add audio line create command ([83251d1](https://github.com/drivesoftware/messages/commit/83251d1))



<a name="2.49.4"></a>
## [2.49.4](https://github.com/drivesoftware/messages/compare/2.49.3...2.49.4) (2018-11-19)



<a name="2.49.3"></a>
## [2.49.3](https://github.com/drivesoftware/messages/compare/2.49.2...2.49.3) (2018-11-14)



<a name="2.49.2"></a>
## [2.49.2](https://github.com/drivesoftware/messages/compare/2.49.1...v2.49.2) (2018-11-11)


### Bug Fixes

* **creative:** add version id to change out created ([a800060](https://github.com/drivesoftware/messages/commit/a800060))



<a name="2.49.1"></a>
## [2.49.1](https://github.com/drivesoftware/messages/compare/2.49.0...v2.49.1) (2018-11-11)


### Bug Fixes

* **creative:** dictionary must be concrete type in message defintion ([f677324](https://github.com/drivesoftware/messages/commit/f677324))



<a name="2.49.0"></a>
# [2.49.0](https://github.com/drivesoftware/messages/compare/2.48.0...v2.49.0) (2018-11-11)


### Features

* **scheduling:** add audio events ([21529d7](https://github.com/drivesoftware/messages/commit/21529d7))



<a name="2.48.0"></a>
# [2.48.0](https://github.com/drivesoftware/messages/compare/2.47.0...v2.48.0) (2018-11-11)


### Bug Fixes

* **scheduler:** add options to schedule spots command ([2ef5f52](https://github.com/drivesoftware/messages/commit/2ef5f52))


### Features

* **creative:** add script writing events ([ee06a3e](https://github.com/drivesoftware/messages/commit/ee06a3e))



<a name="2.47.0"></a>
# [2.47.0](https://github.com/drivesoftware/messages/compare/2.46.0...2.47.0) (2018-10-29)


### Features

* **rate-card:** add rate card messages ([7135690](https://github.com/drivesoftware/messages/commit/7135690))
* **scheduling:** add change audio line command ([#12](https://github.com/drivesoftware/messages/issues/12)) ([783c855](https://github.com/drivesoftware/messages/commit/783c855))



<a name="2.46.0"></a>
# [2.46.0](https://github.com/drivesoftware/messages/compare/2.45.4...v2.46.0) (2018-09-27)


### Features

* **audio-brief:** consolidate brief creation commands ([39b28be](https://github.com/drivesoftware/messages/commit/39b28be))



<a name="2.45.4"></a>
## [2.45.4](https://github.com/drivesoftware/messages/compare/2.45.3...v2.45.4) (2018-09-26)



<a name="2.45.3"></a>
## [2.45.3](https://github.com/drivesoftware/messages/compare/2.45.2...v2.45.3) (2018-09-18)



<a name="2.45.2"></a>
## [2.45.2](https://github.com/drivesoftware/messages/compare/2.45.1...v2.45.2) (2018-09-18)



<a name="2.45.1"></a>
## [2.45.1](https://github.com/drivesoftware/messages/compare/2.45.0...v2.45.1) (2018-09-18)



<a name="2.45.0"></a>
# [2.45.0](https://github.com/drivesoftware/messages/compare/2.44.1...2.45.0) (2018-09-14)


### Features

* **audio-brief:** create audio brief via the ux ([#11](https://github.com/drivesoftware/messages/issues/11)) ([67537b8](https://github.com/drivesoftware/messages/commit/67537b8))



<a name="2.44.1"></a>
## [2.44.1](https://github.com/drivesoftware/messages/compare/2.44.0...v2.44.1) (2018-09-12)


### Bug Fixes

* **creative:** script commands should target arrangement ([20d935d](https://github.com/drivesoftware/messages/commit/20d935d))



<a name="2.44.0"></a>
# [2.44.0](https://github.com/drivesoftware/messages/compare/2.43.2...2.44.0) (2018-09-06)


### Features

* **commands:** add audio brief task commands ([#10](https://github.com/drivesoftware/messages/issues/10)) ([a9f8d48](https://github.com/drivesoftware/messages/commit/a9f8d48))



<a name="2.43.2"></a>
## [2.43.2](https://github.com/drivesoftware/messages/compare/2.43.1...v2.43.2) (2018-09-03)



<a name="2.43.1"></a>
## [2.43.1](https://github.com/drivesoftware/messages/compare/2.43.0...v2.43.1) (2018-08-30)



<a name="2.43.0"></a>
# [2.43.0](https://github.com/drivesoftware/messages/compare/2.42.14...v2.43.0) (2018-08-30)


### Features

* **commands:** add script arrangement commands ([e4be839](https://github.com/drivesoftware/messages/commit/e4be839))



<a name="2.42.14"></a>
## [2.42.14](https://github.com/drivesoftware/messages/compare/2.42.13...v2.42.14) (2018-08-23)



<a name="2.42.13"></a>
## [2.42.13](https://github.com/drivesoftware/messages/compare/2.42.12...v2.42.13) (2018-08-20)



<a name="2.42.12"></a>
## [2.42.12](https://github.com/drivesoftware/messages/compare/2.42.11...v2.42.12) (2018-08-17)



<a name="2.42.11"></a>
## [2.42.11](https://github.com/drivesoftware/messages/compare/2.42.10...v2.42.11) (2018-08-16)



<a name="2.42.10"></a>
## [2.42.10](https://github.com/drivesoftware/messages/compare/2.42.9...v2.42.10) (2018-08-16)



<a name="2.42.9"></a>
## [2.42.9](https://github.com/drivesoftware/messages/compare/2.42.8...v2.42.9) (2018-08-15)



<a name="2.42.8"></a>
## [2.42.8](https://github.com/drivesoftware/messages/compare/2.42.7...v2.42.8) (2018-08-14)



<a name="2.42.7"></a>
## [2.42.7](https://github.com/drivesoftware/messages/compare/2.42.6...v2.42.7) (2018-08-14)



<a name="2.42.6"></a>
## [2.42.6](https://github.com/drivesoftware/messages/compare/2.42.5...v2.42.6) (2018-08-10)


### Bug Fixes

* **audio-brief:** separate creation for client and for contract ([2c28679](https://github.com/drivesoftware/messages/commit/2c28679))



<a name="2.42.5"></a>
## [2.42.5](https://github.com/drivesoftware/messages/compare/2.42.4...v2.42.5) (2018-08-10)


### Bug Fixes

* **audio-brief:** remove unecessary event and fix namespace ([affc81c](https://github.com/drivesoftware/messages/commit/affc81c))



<a name="2.42.4"></a>
## [2.42.4](https://github.com/drivesoftware/messages/compare/2.42.3...v2.42.4) (2018-08-08)


### Bug Fixes

* **audio-brief:** add active property to edit command ([15924d9](https://github.com/drivesoftware/messages/commit/15924d9))



<a name="2.42.3"></a>
## [2.42.3](https://github.com/drivesoftware/messages/compare/2.42.2...v2.42.3) (2018-08-03)


### Bug Fixes

* **audio-brief:** remove unnecessary commands ([6bb8df3](https://github.com/drivesoftware/messages/commit/6bb8df3))



<a name="2.42.2"></a>
## [2.42.2](https://github.com/drivesoftware/messages/compare/2.42.1...v2.42.2) (2018-07-30)


### Bug Fixes

* **audio-brief:** make writer and producer ids optional ([cdde963](https://github.com/drivesoftware/messages/commit/cdde963))



<a name="2.42.1"></a>
## [2.42.1](https://github.com/drivesoftware/messages/compare/2.42.0...v2.42.1) (2018-07-30)


### Bug Fixes

* **audio-brief:** add all fields to edit audio brief command ([be075b2](https://github.com/drivesoftware/messages/commit/be075b2))



<a name="2.42.0"></a>
# [2.42.0](https://github.com/drivesoftware/messages/compare/2.41.6...v2.42.0) (2018-07-30)


### Features

* **audio-brief:** restructure and add commands for modification ([a1c83cf](https://github.com/drivesoftware/messages/commit/a1c83cf))



<a name="2.41.6"></a>
## [2.41.6](https://github.com/drivesoftware/messages/compare/2.41.5...v2.41.6) (2018-07-24)



<a name="2.41.5"></a>
## [2.41.5](https://github.com/drivesoftware/messages/compare/2.41.4...v2.41.5) (2018-07-23)


### Bug Fixes

* **audiobrief:** creation should not require account manager ([a0758e8](https://github.com/drivesoftware/messages/commit/a0758e8))



<a name="2.41.4"></a>
## [2.41.4](https://github.com/drivesoftware/messages/compare/2.41.3...v2.41.4) (2018-07-22)


### Bug Fixes

* **audiobrief:** make brief contract changed contract id optional ([8dbbca8](https://github.com/drivesoftware/messages/commit/8dbbca8))



<a name="2.41.3"></a>
## [2.41.3](https://github.com/drivesoftware/messages/compare/2.41.2...v2.41.3) (2018-07-22)


### Bug Fixes

* **audiobrief:** make brief contract changed contract id optional ([18b3ab4](https://github.com/drivesoftware/messages/commit/18b3ab4))



<a name="2.41.2"></a>
## [2.41.2](https://github.com/drivesoftware/messages/compare/2.41.1...v2.41.2) (2018-07-19)


### Bug Fixes

* **event:** add correlated marker to brief contract changed event ([2e1cc7d](https://github.com/drivesoftware/messages/commit/2e1cc7d))



<a name="2.41.1"></a>
## [2.41.1](https://github.com/drivesoftware/messages/compare/2.41.0...v2.41.1) (2018-07-19)


### Bug Fixes

* **command:** add audio bried id to change contract command ([6f10ab7](https://github.com/drivesoftware/messages/commit/6f10ab7))



<a name="2.41.0"></a>
# [2.41.0](https://github.com/drivesoftware/messages/compare/2.40.1...v2.41.0) (2018-07-13)


### Features

* **all:** add brief contract change messages ([869eb40](https://github.com/drivesoftware/messages/commit/869eb40))



<a name="2.40.1"></a>
## [2.40.1](https://github.com/drivesoftware/messages/compare/2.40.0...2.40.1) (2018-06-12)


### Bug Fixes

* **audiobrief:** contract id is optional for canceling audio brief ([#9](https://github.com/drivesoftware/messages/issues/9)) ([b11df82](https://github.com/drivesoftware/messages/commit/b11df82))



<a name="2.40.0"></a>
# [2.40.0](https://github.com/drivesoftware/messages/compare/2.39.1...2.40.0) (2018-06-11)


### Features

* **audiobrief:** allow audio briefs to be disconnected from any contract ([#8](https://github.com/drivesoftware/messages/issues/8)) ([8ce27e8](https://github.com/drivesoftware/messages/commit/8ce27e8))



<a name="2.39.1"></a>
## [2.39.1](https://github.com/drivesoftware/messages/compare/2.39.0...v2.39.1) (2018-05-08)



<a name="2.39.0"></a>
# [2.39.0](https://github.com/drivesoftware/messages/compare/2.38.2...v2.39.0) (2018-05-08)


### Features

* **notifications:** add dismiss notification command ([731b09d](https://github.com/drivesoftware/messages/commit/731b09d))



<a name="2.38.2"></a>
## [2.38.2](https://github.com/drivesoftware/messages/compare/2.38.1...2.38.2) (2018-05-04)



<a name="2.38.1"></a>
## [2.38.1](https://github.com/drivesoftware/messages/compare/2.38.0...2.38.1) (2018-05-03)



<a name="2.38.0"></a>
# [2.38.0](https://github.com/drivesoftware/messages/compare/2.37.0...2.38.0) (2018-04-30)


### Features

* **workload-management:** add commands and events ([#5](https://github.com/drivesoftware/messages/issues/5)) ([1d018b1](https://github.com/drivesoftware/messages/commit/1d018b1))



<a name="2.37.0"></a>
# [2.37.0](https://github.com/drivesoftware/messages/compare/2.36.1...2.37.0) (2018-04-19)


### Features

* **event:** add producer assigned event ([b4d2c6f](https://github.com/drivesoftware/messages/commit/b4d2c6f))



<a name="2.36.1"></a>
## [2.36.1](https://github.com/drivesoftware/messages/compare/2.36.0...v2.36.1) (2018-03-22)



<a name="2.36.0"></a>
# [2.36.0](https://github.com/drivesoftware/messages/compare/2.35.9...2.36.0) (2018-03-13)


### Features

* **creative-board:** add board task commands and events  ([0fb530c](https://github.com/drivesoftware/messages/commit/0fb530c))



<a name="2.35.9"></a>
## [2.35.9](https://github.com/drivesoftware/messages/compare/2.35.8...v2.35.9) (2018-02-15)



<a name="2.35.8"></a>
## [2.35.8](https://github.com/drivesoftware/messages/compare/2.35.7...v2.35.8) (2018-02-14)



<a name="2.35.7"></a>
## [2.35.7](https://github.com/drivesoftware/messages/compare/2.35.6...v2.35.7) (2018-02-04)


### Bug Fixes

* **event:** remove unecessary property ([e7c8e96](https://github.com/drivesoftware/messages/commit/e7c8e96))



<a name="2.35.6"></a>
## [2.35.6](https://github.com/drivesoftware/messages/compare/2.35.5...v2.35.6) (2017-12-04)


### Bug Fixes

* **notification-commands:** change line id type to guid ([5334f75](https://github.com/drivesoftware/messages/commit/5334f75))



<a name="2.35.5"></a>
## [2.35.5](https://github.com/drivesoftware/messages/compare/2.35.4...v2.35.5) (2017-12-04)


### Bug Fixes

* **events:** change line ids to guid ([1ecd41f](https://github.com/drivesoftware/messages/commit/1ecd41f))



<a name="2.35.4"></a>
## [2.35.4](https://github.com/drivesoftware/messages/compare/2.35.3...v2.35.4) (2017-12-04)


### Bug Fixes

* **events:** change line ids to guid ([f3e6000](https://github.com/drivesoftware/messages/commit/f3e6000))



<a name="2.35.3"></a>
## [2.35.3](https://github.com/drivesoftware/messages/compare/2.35.2...v2.35.3) (2017-12-04)


### Bug Fixes

* **commands:** guid for booking line id type ([4721e25](https://github.com/drivesoftware/messages/commit/4721e25))



<a name="2.35.2"></a>
## [2.35.2](https://github.com/drivesoftware/messages/compare/2.35.1...v2.35.2) (2017-12-04)


### Bug Fixes

* **spot-changes:** nullable combo id ([007344b](https://github.com/drivesoftware/messages/commit/007344b))



<a name="2.35.1"></a>
## [2.35.1](https://github.com/drivesoftware/messages/compare/2.35.0...v2.35.1) (2017-12-04)


### Bug Fixes

* **bookingline:** guid type id ([f6b5c02](https://github.com/drivesoftware/messages/commit/f6b5c02))



<a name="2.35.0"></a>
# [2.35.0](https://github.com/drivesoftware/messages/compare/2.34.2...v2.35.0) (2017-12-04)


### Features

* **domain-event:** refactor to generic domain event ([29866cc](https://github.com/drivesoftware/messages/commit/29866cc))



<a name="2.34.2"></a>
## [2.34.2](https://github.com/drivesoftware/messages/compare/2.34.1...v2.34.2) (2017-11-07)



<a name="2.34.1"></a>
## [2.34.1](https://github.com/drivesoftware/messages/compare/2.34.0...v2.34.1) (2017-10-02)



<a name="2.34.0"></a>
# [2.34.0](https://github.com/drivesoftware/messages/compare/2.33.0...v2.34.0) (2017-09-22)


### Features

* **project:** update project structure to vs2017 ([#1](https://github.com/drivesoftware/messages/issues/1)) ([ca0b319](https://github.com/drivesoftware/messages/commit/ca0b319))



<a name="2.33.0"></a>
# [2.33.0](https://github.com/drivesoftware/messages/compare/2.32.3...v2.33.0) (2017-09-20)


### Features

* **event:** add audio brief id to cancelled event ([44b13b7](https://github.com/drivesoftware/messages/commit/44b13b7))



<a name="2.32.3"></a>
## [2.32.3](https://github.com/drivesoftware/messages/compare/2.32.2...v2.32.3) (2017-09-15)


### Bug Fixes

* **package-reference:** allowed version range for drive.common ([dbb3d06](https://github.com/drivesoftware/messages/commit/dbb3d06))



<a name="2.32.2"></a>
## [2.32.2](https://github.com/drivesoftware/messages/compare/2.32.1...v2.32.2) (2017-09-15)


### Bug Fixes

* **package-reference:** allowed version range for drive.common ([6d82762](https://github.com/drivesoftware/messages/commit/6d82762))



<a name="2.32.1"></a>
## [2.32.1](https://github.com/drivesoftware/messages/compare/2.32.0...v2.32.1) (2017-09-15)


### Bug Fixes

* **package-reference:** allowed version range for drive.common ([a7f480f](https://github.com/drivesoftware/messages/commit/a7f480f))



<a name="2.32.0"></a>
# [2.32.0](https://github.com/drivesoftware/messages/compare/2.31.0...v2.32.0) (2017-09-13)


### Features

* **proposal-created:** add code and clientid ([435f4b4](https://github.com/drivesoftware/messages/commit/435f4b4))



<a name="2.31.0"></a>
# [2.31.0](https://github.com/drivesoftware/messages/compare/2.30.2...v2.31.0) (2017-08-18)


### Features

* **event:** move oversell satisfied event to sales ([86f98f4](https://github.com/drivesoftware/messages/commit/86f98f4))



<a name="2.30.2"></a>
## [2.30.2](https://github.com/drivesoftware/messages/compare/2.30.1...v2.30.2) (2017-07-28)



<a name="2.30.1"></a>
## [2.30.1](https://github.com/drivesoftware/messages/compare/2.30.0...v2.30.1) (2017-07-25)



<a name="2.30.0"></a>
# 2.30.0 (2017-07-24)


### Features

* **event:** add agreement already live event ([05fc5b3](https://github.com/drivesoftware/messages/commit/05fc5b3))
