﻿using NodaTime;

namespace Drive.Commands.Creative.Briefs
{
    public class RequestRecartCommand
    {
        public Guid BriefId { get; set; }

        public Guid ContractId { get; set; }
        public Guid ClientId { get; set; }
        public int AccountManagerId { get; set; }
        public LocalDate StartDate { get; set; }
        public LocalDate EndDate { get; set; }
        public string? InstructingNotes { get; set; }
        public IEnumerable<Guid> AudioIds { get; set; } = Enumerable.Empty<Guid>();
    }
}