﻿using NodaTime;

namespace Drive.Commands.ItOps.Admin.Staff
{
    public class EditBudget
    {
        public int? Id { get; set; }
        public decimal Amount { get; set; }
        public LocalDate Date { get; set; }
    }

    public class EditStaffCommand
    {
        public int Id { get; set; }
        public string? ExternalId { get; set; }
        public string Code { get; set; } = string.Empty;
        public string Description { get; set; } = string.Empty;
        public bool Active { get; set; }
        public int? BranchId { get; set; }
        public int? StaffTeamId { get; set; }
        public bool Voice { get; set; }
        public bool RetiredVoice { get; set; }
        public IEnumerable<EditBudget> Budgets { get; set; } = Enumerable.Empty<EditBudget>();
    }
}