﻿namespace Drive.Commands.Sales.Contracts
{
    public interface ICreateContractCommand
    {
        Guid ContractId { get; }
        string Code { get; }
        int AccountManagerId { get; }
        Guid? AgencyId { get; }
        Guid AdvertiserId { get; }
        Guid? ReceivableAccountId { get; }
        int SalesChannelId { get; }
        int? CommissionId { get; }
        int? BookingFeeId { get; }
        Guid? CommitmentId { get; }
        int TaxId { get; }
        string BookingAuthorisedBy { get; }
        string DescriptionAdvertiser { get; }
        string? ClientOrderNo { get; }
        bool IsImported { get; }
        bool ConfirmImmediately { get; }
        bool? NoCreative { get; }
    }
}