﻿using NodaTime;

namespace Drive.Events.Crm.Clients
{
    public class ContactCreatedEvent
        : ICorrelatedEvent
    {
        public Guid ContactId { get; set; }
        public int OID { get; set; } // Legacy
        public Instant CreatedAt { get; set; }
        public int CreatedById { get; set; }
        public string GivenName { get; set; } = string.Empty;
        public string FamilyName { get; set; } = string.Empty;
        public bool Active { get; set; }
        public LocalDate? Birthday { get; set; }
        public string? Phone { get; set; }
        public string? Position { get; set; }
        public string? Mobile { get; set; }
        public string? Email { get; set; }
    }
}
