﻿using NodaTime;

namespace Drive.Events.ItOps.Admin.AdvertisingFreeDays
{
    public class AdvertisingFreeDayCreatedEvent
    {
        public int Id { get; set; }
        public Instant CreatedAt { get; set; }
        public int CreatedById { get; set; }

        public LocalDate Date { get; set; }
        public string TooltipText { get; set; } = string.Empty;
        public int? BranchId { get; set; }
        public int? BrandId { get; set; }
    }
}