﻿using NodaTime;

namespace Drive.Events.ItOps.Admin.BriefAllocations
{
    public class BriefAllocationCreatedEvent
    {
        public Guid Id { get; set; }
        public bool Active { get; set; }
        public int UserId { get; set; }
        public short BriefType { get; set; }
        public IEnumerable<int> BranchIds { get; set; } = Enumerable.Empty<int>();
        public IEnumerable<int> BriefScopeIds { get; set; } = Enumerable.Empty<int>();
        public Instant CreatedAt { get; set; }
        public int CreatedById { get; set; }
    }
}